Team Foundation Installation

Visual Studio Team System
Team Foundation Installation
DropDown image

The Team Foundation Installation Guide is a comprehensive guide that covers the installation of Team Foundation using a single- or dual-server, and multi-client topology. Use this installation guide to install and configure Team Foundation.

Overview

Visual Studio 2005 Team Foundation Server provides team collaboration tools that enable organizations to manage and track the progress and health of software projects. Team Explorer integrates the project work products found on the project site into the Visual Studio IDE for efficient team access. Team Foundation also provides extensible work item tracking and enterprise-class version control systems.

Start Here

To successfully install Team Foundation Server, you should:

  • Download the most current version of this guide, which is available for download from the Microsoft Downloads Center (http://go.microsoft.com/fwlink/?LinkId=40042).

  • Review the setup and administration documentation of each of the prerequisites, such as Windows Server 2003, Microsoft SQL Server 2005, and Windows SharePoint Services.

  • Review the applicable sections of this installation guide prior to installing Team Foundation Server.

  • Print and use the applicable checklist for installing Team Foundation Server:

    • Checklist: Team Foundation Server Single-Server Deployment

    • Checklist: Team Foundation Server Dual-Server Deployment

In This Section

Team Foundation Logical Architecture

Provides an overview of the Team Foundation n-tier logical architecture.

Team Foundation Physical Architecture

Provides an overview of the Team Foundation physical architecture, including the functionality provided by each of the Team System products.

Team Foundation System Requirements

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Related Sections

Overview of Team Foundation Server Security for Setup

Provides security-related information for installing Team Foundation Server.

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

Online Resources

Visual Studio Team System Developer Center (http://go.microsoft.com/fwlink/?linkid=37625).

The Visual Studio Team System home page.

Visual Studio Team System Forums (http://go.microsoft.com/fwlink/?linkid=53443).

Get answers to your questions and troubleshoot problems with an online community of Visual Studio Team System users.

Team Foundation Server Readme (http://go.microsoft.com/fwlink/?linkid=53268).

Contains late-breaking issues related to product installation.

Team Foundation Server Known Issues at (http://go.microsoft.com/fwlink/?linkid=53095).

Contains late-breaking issues related to product use.

Team Foundation Administrator's Guide (http://go.microsoft.com/fwlink/?LinkId=52459).

Provides help for managing users and groups, configuring server and client applications, and an understanding of both software development and your deployment of Visual Studio 2005 Team System components.

To make a suggestion or report a bug about Help or another feature of this product, go to the feedback site.


Team Foundation Logical Architecture
See Also
DropDown image

Provides an overview of the Team Foundation n-tier logical architecture.

Team Foundation Logical Architecture

Team Foundation is based on a multi-tiered architecture, consisting of a data tier, an application tier, and a client tier.

Data Tier

The Team Foundation data tier consists of Microsoft SQL Server 2005, which stores work items, version-controlled source files, test results and other project metrics.

Application Tier

The Team Foundation application tier is composed of Web-based, front-end applications that are integrated with Internet Information Services (IIS). These applications include SQL Server 2005 Reporting Services, Team Foundation Core Services and Windows SharePoint Services. In addition, the application tier hosts Team Foundation Windows services.

The Team Foundation application tier also includes Team Foundation Build and Team Foundation Server Proxy. Team Foundation Build provides build automation services. Team Foundation Server Proxy caches previously accessed source control files to improve the performance of source control operations over low-bandwidth connections.

Client Tier

The Team Foundation client tier consists of Team Explorer, which can be used as a standalone application or integrated with Visual Studio 2005 (except for Visual Studio 2005 Express Editions). The client tier also integrates with Microsoft Office Project 2003 and Microsoft Office Excel 2003, which project managers can use to view project information and publish that information to Team Foundation Server.

See Also

Concepts

Team Foundation Installation
Team Foundation Physical Architecture


Team Foundation Physical Architecture
DropDown image

Provides an overview of the Team Foundation physical architecture, including the functionality provided by each of the Team System products.

Team Foundation Physical Architecture

You can install the logical tiers of Team Foundation on one or more physical computers.

Team Foundation Server

You can install Team Foundation Server using a single- or dual-server deployment.

Single-Server

The single-server deployment of Team Foundation Server places the data and application tiers on the same computer. If you choose to install the client tier on the same computer as the data and application tiers, you should only do so after installing the server components. Otherwise, you can install the client tier in parallel with the other tiers. For more information, see Overview of Team Foundation Server Single-Server Deployment.

Dual-Server

The dual-server deployment of Team Foundation Server places the data and application tiers on separate computers. You may install prerequisites on both server computers concurrently; however, you must install the Team Foundation data tier components prior to installing the Team Foundation application tier components. If you choose to install the client tier on the same computer as the application tier, you should only do so after installing the application tier components. Otherwise, you can install the client tier in parallel with the other tiers. For more information, see Overview of Team Foundation Server Dual-Server Deployment.

Team Foundation Build

Team Foundation Server offers build automation to help you build and share Visual Studio 2005 solutions using Team Foundation Build. You can install Team Foundation Build on a separate computer, or on the same computer as the Team Foundation application tier. For more information, see Overview of Installing Team Foundation Build.

Team Foundation Server Proxy

Team Foundation Server Proxy improves the performance of Team Foundation version control by caching previously accessed files. You can install Team Foundation Proxy on a separate computer, or on the same computer as the Team Foundation application tier. For more information, see Overview of Installing Team Foundation Server Proxy

Team Explorer

As mentioned earlier, the client tier consists of Team Explorer, which can be used as a standalone application or integrated with Visual Studio 2005 (except for Visual Studio 2005 Express Editions). To access Team Foundation Server, you must first install Team Explorer. Team Explorer is both a standalone application with Team Foundation functionality only, and an addition to Visual Studio that provides integrated Team Foundation functionality. It provides access to work item tracking, project management and version control features. You can also use Team Explorer to access Team Foundation Server features to support development activities with earlier versions of Visual Studio. For more information, see Overview of Installing Team Explorer.

See Also

Concepts

Team Foundation Installation
Team Foundation Logical Architecture


Team Foundation System Requirements

Team Foundation System Requirements
DropDown image

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Team Foundation Server

The following is a list of recommended system requirements for Team Foundation Server. You should also verify that your computers meet the minimum system requirements for Team Foundation Server prerequisites, such as those required by Microsoft SQL Server 2005 and Windows SharePoint Services.

Caution note Caution

Team Foundation Server does not support side-by-side installs with other servers such as Exchange Server or Host Integration Server.

Single-Server Deployment, Small Team

For use at the team level supporting 20 users or less, and for product evaluation:

Component | Recommended
Processor | 2.2 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition
RAM | 1 GB
Hard Disk | 8 GB of available space

Single-Server Deployment, Medium Team

For use at the team level supporting 50 users or less:

Component | Recommended
Processor | 2.2 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition
RAM | 2 GB
Hard Disk | 30 GB of available space

Dual-Server Deployment, Department

For use at the department level supporting 250 users or less:

Team Foundation Application Tier

Component | Recommended
Processor | 2.2 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition
RAM | 1 GB
Hard Disk | 20 GB of available space

Team Foundation Data Tier

Component | Recommended
Processor | Dual-processor, 2.2 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition
RAM | 2 GB
Hard Disk | 80 GB of available space

Dual-Server Deployment, Division

For use at the division level supporting 500 users or less:

Team Foundation Application Tier

Component | Recommended
Processor | Dual-processor, 2.2 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition
RAM | 2 GB
Hard Disk | 40 GB of available space

Team Foundation Data Tier

Component | Recommended
Processor | Quad-processor, 2.2 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition
RAM | 4 GB
Hard Disk | 150 GB of available space

Active Directory Domain Requirement

To set up and configure Team Foundation Server in dual-server deployment, you must use computers that are joined to an Active Directory domain. For single-server deployment, you can use a computer that is a member of a workgroup, or one that is joined to an Active Directory domain. When using computers that are joined to an Active Directory domain, Team Foundation Server requires an Active Directory domain that does not contain Windows NT 4.0 domain controllers. Use the following table to determine if Team Foundation Server supports your Active Directory domain functional level.

Active Directory Domain Functional Level | Supported
Windows 2000 mixed mode - Supports domain controllers running Windows NT 4.0, Windows 2000 and Windows Server 2003. | No
Windows 2000 native mode - Supports domain controllers running Windows 2000 and Windows Server 2003. | Yes
Windows Server 2003 interim mode - Supports domain controllers running Windows NT 4.0 and Windows Server 2003. | No
Windows Server 2003 mode - Supports domain controllers running Windows Server 2003. | Yes

64-Bit Operating System Support

The following table represents the extent of 64-bit operating system support by Team Foundation applications:

Team Foundation Application | Supported
Team Foundation Server1 | No
Team Foundation Server (databases)2 | Yes
Team Foundation Server (services)2 | No
Team Foundation Server (proxy) | No
Team Foundation Server (build) | Yes
Team Explorer | Yes

1 Team Foundation Server single-server deployment.

2 Team Foundation Server dual-server deployment.

Additional Software

To install Team Foundation Server, you must be familiar with and install the following software:

Software | Purpose
Microsoft SQL Server 2005 (Standard or Enterprise Edition) | Database back-end for Team Foundation Server and Windows SharePoint Services.
Windows SharePoint Services 2.0 with Service Pack 2 | Hosts team project portal sites.
Microsoft Office Excel 2003 | Supports optional Team Foundation integration for work item tracking.
Microsoft Office Project Professional 2003 | Supports optional Team Foundation integration for work item tracking.

Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition for use with Team Foundation Server.

Team Explorer

The Team Explorer system requirements are the same as the Visual Studio 2005 system requirements. For more information, see the Visual Studio 2005 Readme. Team Explorer recommended hardware requirements are as follows:

Component | Recommended
Processor | 2.0 GHz
Operating System | The Team Explorer operating system requirements are the same as the Visual Studio 2005 operating system requirements. For more information, see the Visual Studio 2005 Readme.
RAM | 256 MB
Hard Disk | 5 GB of available space

Team Foundation Build

The Team Foundation Build software requirements are the same as the Visual Studio 2005 system requirements except that support is limited to Windows XP Professional with SP2 and Windows Server 2003 with SP1 Standard or Enterprise Edition. For more information, see the Visual Studio 2005 Readme. Team Foundation Build recommended hardware requirements are as follows:

Small Team

For use with projects that take less than 30 minutes to build:

Component | Recommended
Processor | 1.5 GHz
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition Windows XP Professional with SP2
RAM | 512 MB

Medium Team

For use with projects that take less than 2 hours to build:

Component | Recommended
Processor | 2.6 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition Windows XP Professional with SP2
RAM | 1 GB

Large Team

For use with projects that take more than 2 hours to build:

Component | Recommended
Processor | Dual-processor, 2.8 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with SP1, Enterprise Edition Windows Server 2003 with SP1, Standard Edition Windows XP Professional with SP2
RAM | 2 GB

See Also

Concepts

Team Foundation Installation


Overview of Team Foundation Server Security for Setup

Overview of Team Foundation Server Security for Setup
DropDown image

Provides security-related information for installing Team Foundation Server.

In This Section

User Accounts Required for Team Foundation Server Setup

Describes the user accounts you need to create to set up and configure Team Foundation Server.

Ports Required for Team Foundation Server Setup

Provides information about the ports you need to open on intervening firewalls so that the Team Foundation components can communicate with each other.

Team Foundation Server Security Groups

Describes the security groups Team Foundation Server uses to manage security.

How to: Add Users to the Team Foundation Administrators Application Group

Describes how to add users to the Team Foundation Administrators group, which contains users that can perform all privileged Team Foundation operations on the server.

Managing Security Roles for Team Foundation Server

Describes the security roles required for Team Foundation Server, including Windows SharePoint Services and SQL Server Reporting Services.

Related Sections

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

See Also

Concepts

Team Foundation Installation


User Accounts Required for Team Foundation Server Setup

User Accounts Required for Team Foundation Server Setup
DropDown image

Describes the user accounts you need to create to set up and configure Team Foundation Server.

Deployment Considerations

The user account requirements depend upon the deployment model: single-server or dual-server. In a single-server deployment, you have the option of using Active Directory domain user accounts or local user accounts.

Single-Server Deployment

To set up and configure Team Foundation Server using a single-server deployment on a computer joined to an Active Directory domain, you need three Active Directory domain user accounts as outlined in the table below.

To set up and configure Team Foundation Server using a single-server deployment on a computer that is a member of a workgroup, you can use local user accounts. If you install Team Foundation Server using local user accounts for running setup and services, you cannot add domain user accounts to Team Foundation Server and they are not able to create projects. These user accounts should be Domain User accounts but local user accounts are permitted.

Dual-Server Deployment

To set up and configure Team Foundation Server using a dual-server deployment, both computers must be joined to an Active Directory domain and you need three Active Directory domain user accounts as outlined in the table below.

Required Accounts

This installation guide refers to these accounts by name. If you choose to use different user logon names, or if you have existing accounts you can use, be sure to substitute the correct name as appropriate during setup.

Sample user logon name Purpose

TFSSETUP1

  • Used to run Team Foundation Server Setup.

  • This account must be an administrator on Team Foundation Server computers.

TFSSERVICE1

  • Used as the logon account by Team Foundation Server Windows services (Code Coverage Analysis Service and TFSSchedulerService), and the SharePoint Timer Service.

  • Used as the application pool identity by the Team Foundation Server application pool (VSTF AppPool), and the Windows SharePoint Services application pools (TFWSS and WSS_AppPool).

  • This account should not be an administrator on Team Foundation Server computers.

  • This account must have the "Log on locally" right on Team Foundation Server computers.

TFSREPORTS1

  • Used by SQL Server Reporting Services data sources.

  • This account should not be an administrator on Team Foundation Server computers.

  • This account must have the "Log on locally" right on Team Foundation Server computers.

1 Once again, these are sample names. If you choose to use different user logon names, or if you have existing accounts you can use, be sure to substitute the correct name as appropriate during setup.

For more information about security groups and permissions, see "Team Foundation Server Permissions" or "Team Foundation Server Default Groups, Permissions, and Roles" in the online help.

See Also

Concepts

Team Foundation Installation

Other Resources

Overview of Team Foundation Server Security for Setup


Ports Required for Team Foundation Server Setup

Ports Required for Team Foundation Server Setup
DropDown image

Provides information about the TCP ports you need to open on intervening firewalls so that the Team Foundation components can communicate with each other.

Required Ports

To enable communication between Team Foundation Server, its prerequisites and clients, you must ensure that any firewalls located between those components permit communication through a number of TCP ports.

Note Note

The Team Foundation Server and SQL Server setup wizards will automatically add exceptions for required TCP ports to running instances of Windows Firewall. If Windows Firewall is not running, or if it is configured to not allow exceptions, exceptions will not be added.

Required Ports for SQL Server 2005

Microsoft SQL Server 2005 (Developer, Standard, or Enterprise Edition) uses the following TCP ports:

Service or Application Context | TCP Port
SQL Server Reporting Service | 80
SQL Server Reporting Service (SSL) | 443
SQL Service | 1433
SQL Browser Service | 1434
SQL Monitoring | 1444
SQL Server Analysis Service Redirector | 2382
SQL Server Analysis Service | 2383

Required Ports for Windows SharePoint Services

Windows SharePoint Services uses the following TCP ports:

Service or Application Context | TCP Port
Windows SharePoint Services | 80
Windows SharePoint Services (SSL) | 443
SharePoint Central Administration | 17012

Required Ports for Team Foundation Server

Team Foundation Server uses the following TCP ports:

Service or Application Context | TCP Port
Team Foundation Server | 8080
Team Foundation Server (SSL) | 8143
Team Foundation Server Proxy | 8081
Team Foundation Server Proxy (SSL) | 8144
Team Foundation Build Remoting1 | 9191

Scope

In Windows Firewall, you can specify the set of computers for which a port or service is unblocked. By default, the scope is set to Any computer (including those on the Internet). If you choose to limit the scope for which a port or service is unblocked, ensure all computers who need to access that port or service are contained within the specified scope.

See Also

Other Resources

Overview of Team Foundation Server Security for Setup


Team Foundation Server Security Groups
DropDown image

Describes the security groups Team Foundation Server uses to manage security.

Team Foundation Server Security Groups

Team Foundation Server security is managed by Team Foundation Server security groups, which are not the same as Windows domain or local security groups.

Team Foundation Server Security Group Description

Team Foundation Administrators

  • This group contains users that can perform all privileged operations on the server.

  • By default, setup adds the account used to run setup (for example, Domain\TFSSETUP) to this group.

Service Accounts

  • This group contains Team Foundation Server service accounts, such as the application pool identities for Team Foundation Server Web services (for example, Domain\TFSSERVICE).

Team Foundation Valid Users

  • This group contains all users and groups that have access to the server.

Team Foundation Server Setup adds the user account used to run setup (for example, Domain\TFSSETUP) to the Team Foundation Administrators group. To add other users to this group, you must use an account that is already a member of Team Foundation Administrators. After setup is completed, you will need to log on using the same account used to run setup (for example, Domain\TFSSETUP) to add the initial new members to the Team Foundation Administrators group.

Team Foundation Server Setup also adds the Team Foundation Server service account (for example, Domain\TFSSERVICE) to the Service Accounts group.

See Also

Tasks

How to: Add Users to the Team Foundation Administrators Application Group

Concepts

Team Foundation Installation

Other Resources

Overview of Team Foundation Server Security for Setup


How to: Add Users to the Team Foundation Administrators Application Group

How to: Add Users to the Team Foundation Administrators Application Group
See Also

Team Foundation Server security is managed by Team Foundation Server security groups, which are not the same as Windows domain or local security groups. The Team Foundation Administrators group contains users that can perform all privileged Team Foundation operations on the server.

Note Note

The user account used to run Team Foundation Server Setup (for example, Domain\TFSSETUP) is automatically added to the Team Foundation Administrators group. To add other users to this group, you must use an account that is already a member of this security group (for example, Domain\TFSSETUP).

To enable users to create projects, you must add them to this group and assign them to roles in Windows SharePoint Services and SQL Server Reporting Services.

You must have Team Explorer installed to complete this procedure. For more information, see Overview of Installing Team Explorer.

To add a user to the Team Foundation Administrators security group using Team Explorer

  1. Log on to the client tier computer using the credentials of a user account that is already a member of the Team Foundation Administrators security group (for example, Domain\TFSSETUP).

  2. Install Team Explorer. For more information, see Overview of Installing Team Explorer.

  3. Start Visual Studio and connect to Team Foundation Server. For more information, see How to: Connect Team Explorer to Team Foundation Server.

  4. In Team Explorer, select the Team Foundation Server to manage.

  5. On the Team menu, point to Team Foundation Server Settings, and then click Group Membership.

  6. In the Global Groups dialog box, select the group to which you want to add users, and then click Properties.

  7. In the Team Foundation Server Group Properties dialog box, on the Members tab, select Windows User or Group, and then click Add.

  8. In the Select User Names or Groups dialog box, enter the domain name and username of the users you want to add in the following format:

    domain\username

    To add more than one user at a time, separate the entries with a semicolon (;).

  9. Click OK.

To add a user to the Team Foundation Administrators security group using the TFS Group Security Client Tool (TFSSecurity.EXE)

  1. Log on to the application-tier computer using the credentials of a user account that is already a member of the Team Foundation Administrators security group (for example, Domain\TFSSETUP).

  2. In Windows Explorer, locate the Tools directory in the installation folder for Team Foundation Server.

    By default, the path is <drive>:\Program Files\Microsoft Visual Studio 2005 Team Foundation Server\Tools).

  3. From the File menu, click Tools, and then click CMD Prompt Here.

  4. In the Command window, add a user to the Team Foundation Administrators group by using the /g+ option of the TFSSecurity command-line utility.

    You must set the following identity specifiers and indicate the Team Foundation Server server.

    • Adm specifies that the user is added to the global administrator group.

    • n specifies the domain and user account to add

    • /server indicates the Team Foundation Server server for the application tier.

    For example, the following command adds the user account for Dieter Zilch that is in the ADATUM domain to the Team Foundation Server connected to a local computer with the application tier.

    TFSSecurity /g+ adm: n:ADATUM\DZilch /server:http://localhost:8080

Enabling Users to Create Team Projects

To create Team Projects, users must also be assigned roles in the SQL Server Reporting Services and the Windows Server SharePoint Services. The following provides the location for making the assignments. For more information about using the pages, see the Team Foundation Server Administration Guide or use the help provided on the page.

To assign users to role in other components

  1. Add users to the Administrator role for Windows SharePoint Services at http://<application-tier>/_layouts/1033/user.aspx.

  2. Add users to the Content Manager role for SQL Server Reporting Services using the SQL Server Reporting Services Home page at http://<application-tier>/Reports.

    For more information, see Managing Security Roles for Team Foundation Server.

Security

To perform this procedure, you must be a member of the group or have the Edit server-level information permission set to Allow. The user account used to install Team Foundation Server is automatically added to this group and able to add users during installation. For more information, see "Team Foundation Server Permissions" in the Team Foundation Server Administrator's Guide (http://go.microsoft.com/fwlink/?linkid=52459).

See Also

Concepts

Team Foundation Installation
User Accounts Required for Team Foundation Server Setup
Team Foundation Server Security Groups


Managing Security Roles for Team Foundation Server

Managing Security Roles for Team Foundation Server
DropDown image

Describes the security roles required for Team Foundation Server, including Windows SharePoint Services and SQL Server Reporting Services.

Security Role Membership

When adding a user account to a Team Foundation Server security role, you must also add that user to the appropriate security role in Window SharePoint Services and SQL Server Reporting Services.

To create a new team project in Team Foundation Server, you must be a member of the Team Foundation Administrators group, a member of the Windows SharePoint Services Administrator role, and a member of the SQL Server Reporting Services Content Manager role. The following table indicates the correct security role membership in each of these products for the global security groups in Team Foundation Server.

Team Foundation Server Security Group | Windows SharePoint Services Role | SQL Server Reporting Services Role
[Server]\Team Foundation Administrators | Administrator (top-level site) | Content Manager (system-level role)
[Server]\Team Foundation Valid Users | n/a1 | n/a1
[Server]\Service Accounts | n/a2 | n/a2

1The Team Foundation Valid Users group contains all users and groups that have access to the server. This group contains all users and groups that are members of the team projects that exist on the server. There is no need to manage membership of this group.

2Accounts in the Service Accounts group do not require membership in security roles on Windows SharePoint Services or SQL Server Reporting Services.

After creating a team project, you assign users to different roles to manage their permissions on a per project basis. Windows SharePoint Services sites do not inherit security settings from the top-level site. Conversely, SQL Server Reporting Services item-level security inherits system-level roles. The following table indicates the correct security role membership in each of these products for the project-level security groups in Team Foundation Server.

Team Foundation Server Security Group | Windows SharePoint Services Role | SQL Server Reporting Services Role
[ProjectName]\Project Administrators1 | Administrator | Content Manager
[ProjectName]\Contributor1 | Contributor | Browser
[ProjectName]\Reader1 | Reader | Browser

1This name is derived from the MSF for Agile Software Development process template. The actual name of project-level security groups will vary based on the chosen process template.

The procedures for managing security role membership in Windows SharePoint Services and SQL Server Reporting Services can be found the product documentation that accompanies each product.

See Also

Concepts

Team Foundation Installation


Overview of Team Foundation Server Single-Server Deployment

Overview of Team Foundation Server Single-Server Deployment
DropDown image

Use the procedures in this section to install and configure Team Foundation Server on one server.

In This Section

Team Foundation Installation Roadmap for Single-Server Deployment

Provides a general overview for installing and configuring Team Foundation Server and its prerequisites on one server.

Checklist: Team Foundation Server Single-Server Deployment

Provides a checklist to use as a handy reference during Team Foundation Server single-server deployment.

Installing Team Foundation Server

Provides detailed instructions for installing and configuring Team Foundation Server and its prerequisites on one server.

Related Sections

Team Foundation System Requirements

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Overview of Team Foundation Server Security for Setup

Provides security-related information for installing Team Foundation Server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

See Also

Concepts

Team Foundation Installation


Checklist: Team Foundation Server Single-Server Deployment

Checklist: Team Foundation Server Single-Server Deployment
CollapseAll image DropDown image

Use this checklist as a useful reference during Team Foundation Server single-server deployment. You should print this checklist and mark each step as you complete it.

Expand image Single-Server Deployment Checklist

This checklist outlines the general steps for installing Team Foundation Server using a single-server deployment and links to details for each step. A single-server deployment puts the Team Foundation data and application tiers on the same computer. You can install Team Foundation Build and Team Explorer using separate procedures after Team Foundation Server is installed.

Done Step

Verify hardware and software requirements. For more information, see Team Foundation System Requirements.

  • Identify which user account you want to use to run setup and add the account to the local Administrators group. Typically, this would be your user account. In this guide, this account is referred to as Domain\TFSSETUP. For more information, see User Accounts Required for Team Foundation Server Setup.

Obtain two service accounts that provide for communications between the services used by Team Foundation Server.

  • An account to run Team Foundation services (for example, Domain\TFSSERVICE).

  • An account to access SQL Server Reporting Services data sources (for example, Domain\TFSREPORTS).

For more information, see User Accounts Required for Team Foundation Server Setup.

Install Internet Information Services (IIS) 6.0. Enable ASP.NET and restart the computer.

Caution note Caution

Do not install FrontPage Server 2002 Extensions.

For more information, see How to: Install Internet Information Services for Team Foundation Server.

Install Microsoft SQL Server 2005 Standard or Enterprise Edition as the default instance of SQL Server (MSSQLSERVER) on this computer. Use local system for the service account. For more information, see How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment).

Install the hot fix KB912838 for Microsoft SQL Server 2005.

Note Note

If you want to avoid restarting the computer, make sure that you stop the SQL Server Browser service in SQL Server 2005 Management Studio before you install the hot fix. After installing, restart the SQL Server Browser Service.

On the installation media, locate the folder KB912838, locate the executable file (.exe) for your platform and language, such as AS2005-KB912838-x86-ENU.exe, and then double-click the file to install.

Verify your Microsoft SQL Server 2005 installation using the steps outlined in the topic How to: Verify Microsoft SQL Server 2005 Installation or How to: Verify a Successful Installation of SQL Server 2005 Services in SQL Server Books Online(http://go.microsoft.com/fwlink/?linkid=60404)

Caution note Caution

Do not run the Reporting Services Configuration Tool at this point.

Install the hot fix KB913393 for Microsoft .NET Framework 2.0.

On the installation media, locate the folder for the hot fix, KB913393, locate the executable file (.exe) for your platform (X86), and then double-click the file to install.

Install Windows SharePoint Services with Service Pack 2 for use with Team Foundation Server and restart the computer

Caution note Caution

Do not change Window SharePoint Services at this point. Team Foundation Server Setup configures Windows SharePoint Services for you.

For more information, see How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Single-Server Deployment).

Verify that the appropriate ports are open.

If you are using Windows Firewall, or a third-party firewall software or hardware solution, you should make sure that the required ports are open to enable communication between components. For more information, see Ports Required for Team Foundation Server Setup.

Install Team Foundation Server. For more information, see How to: Install Team Foundation Server.

To add users to Team Foundation Administration Group, install Team Explorer either locally or on another computer. For more information, see Overview of Installing Team Explorer.

Expand image See Also

Other Resources

Overview of Team Foundation Server Single-Server Deployment
Team Foundation Installation Roadmap for Single-Server Deployment
Overview of Installing Team Foundation Build
Overview of Installing Team Foundation Server Proxy


Installing Team Foundation Server

Installing Team Foundation Server
DropDown image

Use the procedures in this section to install and configure Team Foundation Server and its prerequisites using one computer for both the data tier and application tier components.

In This Section

How to: Install Internet Information Services for Team Foundation Server

Describes how to install and configure Internet Information Services (IIS) 6.0.

How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment)

Describes how to install and configure SQL Server 2005 for Team Foundation Server.

How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Single-Server Deployment)

Describes how to install and configure Windows SharePoint Services for Team Foundation Server.

How to: Install Team Foundation Server

Describes how to install and configure the Team Foundation Server data and application tier components.

See Also

Other Resources

Team Foundation Installation Roadmap for Single-Server Deployment
Overview of Team Foundation Server Single-Server Deployment


How to: Install Internet Information Services for Team Foundation Server

How to: Install Internet Information Services for Team Foundation Server
See Also

Use this procedure to install and configure Internet Information Services (IIS) 6.0 for Team Foundation Server.

Note Important

If you plan to use this computer as a domain controller, you should do so before installing IIS. Promoting a computer to be a domain controller deletes all local user accounts, including those used by IIS. This is by design since domain controllers do not have any local user accounts.

To install IIS using the Configure Your Server Wizard

  1. Start the Configure Your Server Wizard by doing either of the following:

    • By default, Manage Your Server starts automatically when Windows starts. From Manage Your Server, click Add or remove a role.

    • From Control Panel, open Administrative Tools, and then open Configure Your Server Wizard.

  2. On the Welcome to the Configure Your Server Wizard page, click Next.

  3. On the Preliminary Steps page, click Next.

  4. On the Server Role page, click Application server (IIS, ASP.NET), and then click Next.

  5. On the Application Server Options page, select Enable ASP.NET, and then click Next.

    Note Important

    Do not select FrontPage Server Extensions. This server will host Windows SharePoint Services, which is incompatible with FrontPage Server Extensions.

  6. On the Summary of Selections page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  7. Click Finish to complete the wizard.

  8. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

To install IIS using Add or Remove Programs utility

  1. From Control Panel, open Add or Remove Programs.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard starts.

  3. On the Windows Components page, select Application Server, and then click Details.

  4. If not already checked, select ASP.NET, and then click OK.

    Note Important

    If you select Internet Information Services (IIS) and then click Details, do not select FrontPage 2002 Server Extensions. This server will host Windows SharePoint Services, which is incompatible with FrontPage Server Extensions.

  5. On the Windows Components page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  6. Click Finish to close the wizard.

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Installing Team Foundation Server
Team Foundation Installation Roadmap for Single-Server Deployment


How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment)

How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment)
See Also

Use this procedure to install and configure Microsoft SQL Server 2005 Standard or Enterprise Edition for Team Foundation Server interactively using the setup wizard, or using an answer file.

Install Microsoft SQL Server 2005

Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition.

Note Note

You must install Internet Information Services (IIS) 6.0 before installing Microsoft SQL Server 2005.

To install Microsoft SQL Server 2005 interactively

  1. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Insert the CD for Microsoft SQL Server 2005 and under Install on the SQL Server 2005 Start page, click Server components, tools, Books Online, and samples.

    Note Note

    The CD for Microsoft SQL Server 2005 Standard edition is available with Team Foundation Server. To install SQL Server Enterprise, you can use the CD from the software you purchased separately. The Start Page is available by running the Splash.hta file located in the Servers folder of the installation media.

    The Microsoft SQL Server 2005 Setup wizard starts.

  3. On the End User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the licensing terms and conditions, and then click Next.

  4. On the Installing Prerequisites page, click Install. After the required components are installed successfully, click Next.

    The Microsoft SQL Server Installation Wizard starts.

  5. Click Next to start the System Configuration Check.

  6. On the System Configuration Check page, check the status of any required actions, such as required system restarts and follow the guidance on this page until all actions achieve Success status. After all actions achieve Success status, click Next to start installation.

    Note Note

    The installer may take a few moments to start.

  7. On the Registration Information page, complete the registration information, and then click Next.

  8. On the Components to Install page, select the following components and then click Advanced.

    • SQL Server Database Services

    • Analysis Services

    • Integration Services

    • Reporting Services

    • Workstation components, Books Online, and development tools

    • (Optional) Notification Services

  9. On the Feature Selection page, expand the following nodes and specify the following options.

    Note Note

    Except as noted below, you should not change the default selections in any other feature areas.

    1. Under Database Services, click the icon for Replication and select Entire feature will be unavailable.

      Note Tip

      To optimize system performance, select Data Files and click Browse to specify a file location on a different physical hard drive. By default, SQL Server 2005 installs all files to the system drive. You can do the same for Data Files under Analysis Services.

    2. Under Client Components, the only required feature to install is Management Tools. For all other items under Client Components, you can optionally click the icon and select Entire feature will be unavailable.

    3. Under Documentation, Samples, and Sample Databases, you can optionally click the icon for Books Online and select Entire feature will be unavailable. Click Next.

  10. On the Instance Name page, select Default instance, and then click Next.

    Note Important

    Team Foundation Server setup will fail if you specify a named instance.

  11. On the Service Account page, select Use the built-in System account and from the list select Local system. In Start services at the end of setup, select all services: SQL Server, SQL Server Agent, Analysis Services, Reporting Services, and SQL Browser, and then click Next.

    Note Note

    The service account is for Microsoft SQL Server 2005 and should not be confused with the two service accounts you obtained prior to starting installation.

  12. On the Authentication Mode page, select Windows Authentication Mode, and then click Next.

  13. On the Collation Settings page, select the appropriate collation for your language and then click Next.

    Note Note

    If you change Collation designator and sort order you must select Accent Sensitive.

    Although no single collation fits every language, the default SQL collation is the most backward-compatible. However, the default supports fewer characters. It is recommended that you select an "_90" collation when available for your language.

    For example, for Japanese deployments instead of the default collation, use Japanese_90 collation if using Unicode CJK Extension A characters or Unicode Surrogates in the following ways.

    • Team Foundation Server object names, like Queries or Projects.

    • Files or paths that are checked into the version control system.

    • Any field of the work items that is used for searches.

    To avoid problems with double width or Hiragana/Katakana equivalent characters, during setup, select the checkboxes to enable Kana and width-sensitivity.

    Team Foundation Server does not support collations that are:

    • Case sensitive

    • Binary

    • Binary2

  14. On the Report Server Installation Options page, select Install the default configuration, and then click Next.

  15. On the Error and Usage Report Settings page, you can optionally select Automatically send Error reports for SQL Server 2005 to Microsoft or your corporate error reporting server and Automatically send Feature Usage data for SQL Server 2005 to Microsoft, and then click Next.

  16. On the Ready to Install page, you can review the list of components to be installed, and then click Install.

  17. On the Setup Progress page, you can monitor the installation status of each component. After setup has completed, click Next.

    Note Note

    Installation may appear to hang for several minutes during activation of SQL Server Reporting Services.

  18. Click Finish to exit the wizard.

    Note Note

    To verify your installation before installing Windows SharePoint Services, see How to: Verify Microsoft SQL Server 2005 Installation.

Alternatively, you can install Microsoft SQL Server 2005 using the provided answer file from the command line. This answer file will automate setup to install and configure Microsoft SQL Server 2005 for use with Team Foundation Server.

To install Microsoft SQL Server 2005 using an answer file

  1. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. On the Team Foundation Server installation media, locate and copy the pre-configured auto-answer file (SQL2005ForATDT.ini) to a convenient location on your local hard drive (for example, C:\).

  3. Run setup for Microsoft SQL Server 2005 using the following command line:

    C:\>SQLServerSetupDirectory\setup.exe /qb /settings AnswerFileDirectory\SQL2005ForATDT.ini PIDKEY=ProductKey

    Where SQLServerSetupDirectory is the path to setup.exe for Microsoft SQL Server 2005, AnswerFileDirectory is the path to the answer file, and ProductKey is the product key for Microsoft SQL Server 2005 without hyphens or spaces.

    Note Note

    To verify your installation, see How to: Verify Microsoft SQL Server 2005 Installation.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Installing Team Foundation Server
Team Foundation Installation Roadmap for Single-Server Deployment


How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Single-Server Deployment)

How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Single-Server Deployment)
See Also

Use the following procedure to install Microsoft Windows SharePoint Services with Service Pack 2 for Team Foundation Server interactively using the setup wizard, or silently from the command line.

Note Important

Windows SharePoint Services requires an NTFS file system.

Install Microsoft Windows SharePoint Services

Install Microsoft Windows SharePoint Services with Service Pack 2.

Note Note

Prior to installing Team Foundation Server on a localized version of Windows SharePoint Services, you must first install the Windows SharePoint Services language pack that matches the Team Foundation Server language. For example, if you plan to install a localized version of Windows SharePoint Services and the English version of Team Foundation Server, you must install the English Windows SharePoint Services language pack before installing Team Foundation Server.

To install Windows SharePoint Services interactively

  1. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Download Microsoft Windows SharePoint Services with Service Pack 2 (http://go.microsoft.com/fwlink/?linkid=55087) and save the file to your local hard drive.

  3. Run the downloaded self-extracting installer file (stsv2.exe).

  4. On the End-User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the terms in the License Agreement, and then click Next.

  5. On the Type of Installation page, select Server Farm, and then click Next.

    Note Important

    You must install Windows SharePoint Services using the Server Farm option. This configures Windows SharePoint Services to use a remote SQL Server. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

  6. On the Summary page, click Install.

    When the installation is complete, a Web browser window opens and displays the Configure Administrative Virtual Server page. After confirming that the page appears, close the browser window without making any changes.

    Note Important

    Do not make any changes on the page that appears. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

    If the page does not appear, you should determine the cause and troubleshoot using the Windows SharePoint Services Administrator's Guide (http://go.microsoft.com/fwlink/?LinkId=52668).

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  8. Reboot the computer.

Alternatively, you can install Windows SharePoint Services silently from the command line.

To install Windows SharePoint Services silently

  1. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Download Microsoft Windows SharePoint Services 2.0 with Service Pack 2 (http://go.microsoft.com/fwlink/?linkid=55087) and save the file to a convenient location on your local hard drive.

  3. Run the downloaded self-extracting installer file (stsv2.exe) using the following command line:

    C:\>DownloadDirectory\STSV2.EXE /C:"setupsts.exe /remoteSql=yes /provision=no /q"

    Where DownloadDirectory is the path to the location on your hard drive where you saved the downloaded file.

    Note Important

    You must install Windows SharePoint Services using the /remoteSql=yes option. This configures Windows SharePoint Services to use a remote SQL Server. The /provision=no option will defer configuration of Windows SharePoint Services. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

    You will not receive any indication that setup is complete. Instead, allow several minutes for setup to complete before continuing.

  4. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  5. Reboot the computer.

Verifying the Installation

After installing Windows SharePoint Server, you can make sure that the services are running even though you have not installed Team Foundation Server.

To verify that Windows SharePoint Services are installed

  • Open Internet Explorer and type the server name as the address.

    For example, for a server named ADATUM, you would type Http://adatum.

    Although a site is not configured, the server is an active Web server and provides an Under Construction page.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Installing Team Foundation Server
Team Foundation Installation Roadmap for Single-Server Deployment


How to: Install Team Foundation Server

How to: Install Team Foundation Server

Use this procedure to install Team Foundation Server.

Before installing Team Foundation Server, make sure Microsoft SQL Server 2005 Standard or Enterprise Edition is installed and running. Complete all data tier prerequisites. For more information, see Checklist: Team Foundation Server Single-Server Deployment.

To install Team Foundation Server

  1. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Insert the CD, on the autorun page that appears click Install Team Foundation Server, and then click Single-Server Installation.

    If the autorun page does not appear, locate and run the autorun file (autorun.exe) in the root folder on the installation media.

    The Visual Studio Team Foundation Server Setup wizard starts.

  3. On the Welcome to Setup page, click Next.

  4. On the License Terms page, review the terms. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

    The setup wizard scans for conditions that could cause setup to fail or cause issues later during server operation.

  5. On the Destination Folder page, accept the default destination folder and click Next.

  6. On the System Health Check page, examine any warnings or blocks by clicking the report link.

    • Blocks must be addressed before setup can continue. Click Cancel and run setup again after fixing the issues.

    • Warnings should be addressed before continuing but should not prevent setup from completing. You can click Next.

    • If nothing is listed, click Next.

  7. On the Service Logon Account page, type the Windows domain user account you created for the Team Foundation Server Service account (for example, Domain\TFSSERVICE) in the Account Name box, type the password in the Password box, and then click Next. For more information, see User Accounts Required for Team Foundation Server Setup.

  8. On the Reporting Logon Account page, type the account information for the Team Foundation Server Reporting account, and then click Next.

    Note Note

    This account should be different from the Team Foundation Server Setup or Service accounts. For example, use Domain\TFSREPORTS.

  9. On the Specify Alert Settings page, select Enable Team Foundation Alerts, and type the following information:

    • In the SMTP server box, type the name of the server that you will use to send e-mail notifications.

    • In the From e-mail address box, type the name of the e-mail address from which notifications should appear to come, and then click Next.

  10. On the Ready to Install page, click Install.

  11. On the Installing Components page, you can monitor the installation of Team Foundation Server.

    During installation, you may be prompted to restart your computer. Click Restart Now and setup will continue after the computer restarts and you log on again.

  12. On the Setup Completed Successfully page, verify that the installation is complete and then click Finish.

    After installing Team Foundation Server, you should back up the Reporting Services Encryption key using the Reporting Services Configuration Tool. This step is not a requirement to create Team Projects, but is part of best practices for managing Team Foundation Server. For more information, see How to: Back up the Reporting Services Encryption Key in the Team Foundation Server Administrator's Guide.

  13. In Internet Explorer, locate http://localhost:8080/services/v1.0/Registration.asmx and click GetRegistrationEntries.

  14. On the GetRegistrationEntries page, click Invoke. You do not need to enter a ToolID.

    Note Note

    To use this Web method, you must be on the application-tier computer.

  15. In the XML, verify that the type VSTF exists and then close.

    <?xml version="1.0" encoding="utf-8" ?>

    <Type>vstfs</Type>

    Note Note

    After installing Team Foundation Server, you might want to install Team Explorer, Team Foundation Build, or Team Foundation Server Proxy.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Installing Team Foundation Server
Overview of Installing Team Foundation Build
Overview of Installing Team Foundation Server Proxy


Overview of Team Foundation Server Dual-Server Deployment

Overview of Team Foundation Server Dual-Server Deployment
DropDown image

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

In This Section

Team Foundation Installation Roadmap for Dual-Server Deployment

Provides a general overview for installing and configuring Team Foundation Server and its prerequisites on two servers.

Checklist: Team Foundation Server Dual-Server Deployment

Provides a checklist to use as a handy reference during Team Foundation Server dual-server deployment.

Installing Team Foundation Server (databases)

Provides detailed instructions for installing and configuring Team Foundation Server data tier components and their prerequisites on a server separate from the application tier components.

Installing Team Foundation Server (services)

Provides detailed instructions for installing and configuring Team Foundation Server application tier components and their prerequisites on a server separate from the data tier components.

Related Sections

Team Foundation System Requirements

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Overview of Team Foundation Server Security for Setup

Provides security-related information for installing Team Foundation Server.

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

See Also

Concepts

Team Foundation Installation


Checklist: Team Foundation Server Dual-Server Deployment

Checklist: Team Foundation Server Dual-Server Deployment
CollapseAll image DropDown image

Use this checklist as a useful reference during Team Foundation Server dual-server deployment.

Expand image Dual-Server Deployment Checklist

This checklist outlines the general steps for installing Team Foundation Server using a dual-server deployment and links to details for each step. A dual-server deployment puts the Team Foundation data and application tiers on separate computers. You should print this checklist and mark each step as you complete it.

Done Step

Verify hardware and software requirements. For more information, see Team Foundation System Requirements.

Identify which user account you want to use to run setup. Typically, this would be your user account. In this guide, this account is referred to as Domain\TFSSETUP.

On the data-tier computer, add the account for running Team Foundation Server Setup (for example, Domain\TFSSETUP) to the local Administrators group.

On the application tier computer, add the account for running Team Foundation Server Setup (for example, Domain\TFSSETUP) to the local Administrators group.

Obtain two service accounts that provide for communications between the services used by Team Foundation Server.

  • An account to run Team Foundation services (for example, Domain\TFSSERVICE).

  • An account to access SQL Server Reporting Services data sources (for example, Domain\TFSREPORTS).

For more information about the requirements for these accounts, see User Accounts Required for Team Foundation Server Setup.

On the application-tier computer, install Internet Information Services (IIS) 6.0. Enable ASP.NET.

Caution note Caution

Do not install FrontPage Server 2002 Extensions.

For more information, see How to: Install Internet Information Services for Team Foundation Server (services).

On the data-tier computer, install Microsoft SQL Server 2005 Standard or Enterprise Edition on the default instance of SQL Server on this computer. Use Local System for the service account. For more information, see How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment).

On the data-tier computer, install the hotfix KB912838 for Microsoft SQL Server 2005.

Note Note

To avoid restarting the computer, stop the SQL Server Browser Service in SQL Server Management Studio before you install the hotfix.

On the installation media, locate the folder KB912838, locate the executable file (.exe) for your platform and language such as AS2005-KB912838-x86-ENU.exe, and then double-click the file to install. After installing the hotfix, restart the SQL Server Browser Service.

Verify your Microsoft SQL Server 2005 installation using the steps outlined in the topic How to: Verify Microsoft SQL Server 2005 Installation or How to: Verify a Successful Installation of SQL Server 2005 Services in SQL Server Books Online (http://go.microsoft.com/fwlink/?linkid=60404).

On the data-tier computer, verify that the appropriate ports are open.

If you are using Windows Firewall, or a third-party firewall software or hardware solution, you should make sure that the required ports are open to allow communication between components. For more information, see Ports Required for Team Foundation Server Setup.

On the data-tier computer, install Team Foundation Server (databases). For more information, see How to: Install Team Foundation Server (databases).

On the application-tier computer, install SQL Server 2005 Reporting Services (using Microsoft SQL Server 2005 Standard or Enterprise Edition) for use with Team Foundation Server.

Caution note Caution

Do not run the Reporting Services Configuration Tool at this point.

On the application-tier computer, install the hot fix KB913393 for Microsoft .NET Framework 2.0.

On the installation media, locate the folder KB913393, locate the executable file (.exe) for your platform (X86), and then double-click the file to install.

On the application-tier computer, install Windows SharePoint Services with Service Pack 2 for use with Team Foundation Server and restart the computer.

Caution note Caution

Do not change Windows SharePoint Services at this point. Team Foundation Server (services) Setup configures Windows SharePoint Services for you. For more information, see How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment).

On the application-tier computer, install Team Foundation Server (services). For more information, see How to: Install Team Foundation Server (services).

On the application-tier computer, verify that the appropriate ports are open.

If you are using Windows Firewall, or a third-party firewall software or hardware solution, you should make sure that the required ports are open to permit communication between components. For more information, see Ports Required for Team Foundation Server Setup.

Install Team Explorer either locally or on another computer. For more information, see Overview of Installing Team Explorer.

Expand image See Also

Other Resources

Overview of Team Foundation Server Dual-Server Deployment
Team Foundation Installation Roadmap for Dual-Server Deployment
Overview of Installing Team Foundation Build
Overview of Installing Team Foundation Server Proxy


Installing Team Foundation Server (databases)

Installing Team Foundation Server (databases)
See Also
DropDown image

Use the procedures in this section to install and configure Team Foundation Server data-tier components and their prerequisites on a server separate from the application-tier components.

These prerequisites and components include:

Component | Installation order
SQL Server 2005 | First (prerequisite for Team Foundation Server data-tier components)
Team Foundation Server data tier components | Second

For an overview of the entire process for installing Team Foundation Server on two computers, see Team Foundation Installation Roadmap for Dual-Server Deployment.

In This Section

How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment)

Describes how to install SQL Server 2005 on the data tier.

How to: Install Team Foundation Server (databases)

Describes how to install the Team Foundation Server data-tier components.

See Also

Other Resources

Overview of Team Foundation Server Dual-Server Deployment
Installing Team Foundation Server (services)


How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment)

How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment)
See Also

Use this procedure to install and configure Microsoft SQL Server 2005 Standard or Enterprise Edition for Team Foundation Server interactively using the setup wizard, or using an answer file. Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition.

Install Microsoft SQL Server 2005

Install Microsoft SQL Server 2005 Standard or Enterprise Edition.

To install Microsoft SQL Server 2005 interactively

  1. On the data-tier computer, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Insert the CD for Microsoft SQL Server 2005 and under Install on the SQL Server 2005 Start page, click Server components, tools, Books Online, and samples.

    Note Note

    The CD for Microsoft SQL Server 2005 Standard edition is available with Team Foundation Server. To install Microsoft SQL Server 2005 Enterprise, you can use the CD from the software you purchased separately. The Start Page is available by running the Splash.hta file located in the Servers folder of the installation media.

    The Microsoft SQL Server 2005 Setup wizard starts.

  3. On the End User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the licensing terms and conditions, and then click Next.

  4. On the Installing Prerequisites page, click Install. After the required components are installed successfully, click Next.

    The Microsoft SQL Server Installation Wizard starts.

  5. Click Next to start the System Configuration Check.

  6. On the System Configuration Check page, check the status of any required actions, such as required system restarts and follow the guidance on this page until all actions achieve Success status. After all actions except for IIS Feature Requirement achieve Success status, click Next to start installation.

    Note Note

    SQL Server 2005 Reporting Services are not installed on the data-tier computer. You can ignore the Warning status for IIS Feature Requirement. The installer may take a few moments to begin.

  7. On the Registration Information page, complete the registration information, and then click Next.

  8. On the Components to Install page, select the following components and then click Advanced.

    • SQL Server Database Services

    • Analysis Services

    • Integration Services

    • Workstation components, Books Online, and development tools

    • (Optional) Notification Services

      Note Note

      Reporting Services should be installed on the application tier.

  9. On the Feature Selection page, expand the following nodes and specify the following options.

    Note Note

    Except as noted below, you should not change the default selections in any other feature areas.

    1. Under Database Services, click the icon for Replication and select Entire feature will be unavailable.

      Note Tip

      If you want to specify a different location for data files, select Data Files and click Browse to specify a directory or different physical hard drive. By default, SQL Server 2005 installs all files to the system drive. You can optimize system performance by using a separate location. You can do the same for Data Files under Analysis Services.

    2. Under Client Components, the only required feature to install is Management Tools. For all other items under Client Components, you can optionally click the icon and select Entire feature will be unavailable.

    3. Under Documentation, Samples, and Sample Databases, you can optionally click the icon for Books Online and select Entire feature will be unavailable. Click Next.

  10. On the Instance Name page, select Default instance, and then click Next.

    Note Important

    Team Foundation Server setup fails if you specify a named instance.

  11. On the Authentication Mode page, select Windows Authentication Mode, and then click Next.

  12. On the Collation Settings page, select the appropriate collation for your language and then click Next.

    Note Note

    If you change Collation designator and sort order you must select Accent Sensitive.

    Although no single collation fits every language, the default SQL collation is the most backward-compatible. However, the default supports fewer characters. It is recommended that you select an "_90" collation when available for your language.

    For example, for Japanese deployments instead of the default collation, use Japanese_90 collation if using Unicode CJK Extension A characters or Unicode Surrogates in the following ways.

    • Team Foundation Server object names, like Queries or Projects.

    • Files or paths that are checked into the version control system.

    • Any field of the Work Items that is used for searches

    To avoid problems with Double Width or Hiragana/Katakana equivalent characters, during setup select the checkboxes to enable Kana and width-sensitivity.

    Team Foundation Server does not support collations that are:

    • Case Sensitive

    • Binary

    • Binary2

  13. On the Error and Usage Report Settings page, you can optionally select Automatically send Error reports for SQL Server 2005 to Microsoft or your corporate error reporting server and Automatically send Feature Usage data for SQL Server 2005 to Microsoft, and then click Next.

  14. On the Ready to Install page, you can review the list of components to be installed, and then click Install.

  15. On the Setup Progress page, you can monitor the installation status of each component. After setup has completed, click Next.

    Note Note

    Installation may appear to hang for several minutes during activation of SQL Server Reporting Services.

  16. Click Finish to exit the wizard.

    Note Note

    To verify your installation before installing Team Foundation Server, see How to: Verify Microsoft SQL Server 2005 Installation.

Alternatively, you can install Microsoft SQL Server 2005 using the provided answer file from the command line. This answer file will automate setup to install and configure Microsoft SQL Server 2005 for use with Team Foundation Server.

To install Microsoft SQL Server 2005 using an answer file

  1. On the data-tier computer, log on using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. On the Team Foundation Server installation media, locate and copy the pre-configured auto-answer file (SQL2005ForDT.ini) to a convenient location on your local hard drive (for example, C:\).

  3. Run setup for Microsoft SQL Server 2005 using the following command line:

    C:\>SQLServerSetupDirectory\setup.exe /qb /settings AnswerFileDirectory\SQL2005ForDT.ini PIDKEY=ProductKey

    Where SQLServerSetupDirectory is the path to setup.exe for Microsoft SQL Server 2005, AnswerFileDirectory is the path to the answer file, and ProductKey is the product key for Microsoft SQL Server 2005 without hyphens or spaces.

    Note To verify your installation, see How to: Verify Microsoft SQL Server 2005 Installation.

Security

To perform these procedures, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

The Microsoft SQL Server 2005 services require certain ports to be open. For more information, see Ports Required for Team Foundation Server Setup.

See Also

Other Resources

Installing Team Foundation Server (databases)
Overview of Installing Team Foundation Build
Overview of Installing Team Foundation Server Proxy


How to: Verify Microsoft SQL Server 2005 Installation

After installing SQL Server, you might want to verify that the installation complete and the server is configured for the next installation step of Team Foundation Server. The following procedures provide the steps for verifying the following configurations.

  • The services are running.

  • The connection settings are configured.

  • The firewall is properly configured.

Caution note Caution

Team Foundation Server Setup Wizard configures components for you during installation. Limit your verification to examining what is running and set as described below. If you attempt to configure the Reporting Services at this time, you might prevent proper installation and configuration of Team Foundation Server.

To verify that the services are running

  1. From Start, click Program Files, click Microsoft SQL Server 2005, click Configuration Tools and then click SQL Server Configuration Manager.

  2. Select SQL Server 2005 Services and verify that each of the services has a green arrow which indicates that the service is running.

  3. Select SQL Server 2005 Network Configuration, click Protocols for MSSQLServer, and then verify that TCP/IP is enabled.

To verify a connection to the server

  1. From Start, click Program Files, click Microsoft SQL Server 2005 and then click SQL Server Management Studio.

  2. In the Connect to Server dialog box, select Database Engine in Server type, type the name of the server you want to connect to, and then click Connect.

Note Note

If SQL Server is installed on a cluster, the server name is the name of the cluster and not the computer name.

  1. In the Object Explorer, verify that a green arrow appears next to the server name.

    Note Note

    If you are not able to connect to the server, verify the firewall settings and then try to connect again.

Verifying Firewall Settings

The firewall controls remote connections and usage of ports. The following procedure describes the steps for verifying the ports using Windows Firewall. Your organization may be using a third-party firewall software or hardware solution.

To verify that the appropriate ports are open

  1. From Start, click Control Panel, and then click Windows Firewall.

  2. On the Exceptions tab, verify that the Microsoft SQL Server 2005 services are in the list.

Note Note

The services in the list depend on the type of deployment. For a single server deployment, all of the services should be in the list. If you are verifying your data-tier installation, the Reporting Services are not part of the installation.

  1. For each service, select the service, click edit, and verify that the port number matches number for the service in the list in Ports Required for Team Foundation Server Setup.

    Note Note

    You may need to change the firewall settings manually. You can make those changes at this time.

Security

To perform these procedures you must be a member of the Administrators security group on the computer. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Tasks

How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment)
How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment)

Reference

Checklist: Team Foundation Server Single-Server Deployment
Checklist: Team Foundation Server Dual-Server Deployment

Other Resources

Trouble Shooting Installation for Team Foundation Server


How to: Install Team Foundation Server (databases)

How to: Install Team Foundation Server (databases)
See Also

Use this procedure to install the Team Foundation Server data-tier components.

Before installing Team Foundation Server, make sure Microsoft SQL Server 2005 Standard or Enterprise Edition is installed and running. Complete all data tier prerequisites. For more information, see Checklist: Team Foundation Server Dual-Server Deployment.

To install the Team Foundation Server (databases)

  1. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP) you identified as you worked through the checklist.

  2. Insert the Team Foundation Server installation media and on the autorun page click Install Team Foundation Server, click Dual-Server Installation, and then click Install the Team Foundation Databases Tier ONLY.

    If the autorun page does not appear, locate and run the autorun file (autorun.exe) in the root folder on the installation media.

    The Visual Studio 2005 Team Foundation Server (databases) Setup wizard starts.

  3. On the Welcome to Setup page, click Next.

  4. On the License Terms page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  5. On the Destination Folder page, click Next.

  6. On the System Health Check page, examine any warnings or blocks by clicking the report link.

    • Blocks must be addressed before setup can continue. Click Cancel and run setup again after fixing the issues.

    • Warnings should be addressed before continuing but should not prevent setup from completing. You can click Next.

      For example, if a firewall is not enabled, a warning appears in the list. You can continue installation, but the ports and exceptions necessary to enable communication between the components may need to be added manually.

    • If nothing is listed, click Next.

  7. On the Ready to Install page, click Install.

  8. On the Installing Components page, monitor the installation of Team Foundation data-tier components.

    During installation, you may be prompted to restart your computer. Click Restart Now. Setup continues after the computer restarts and you log on again using the same account.

  9. On the Setup Completed Successfully page, click Finish.

  10. On the autorun page, click Exit.

To view the Team Foundation Server databases

  1. From Start, click Program Files, click Microsoft SQL Server 2005 and then click SQL Server Management Studio.

  2. In the Connect to Server dialog box, select Database Engine in Server type, type the name of the server you want to connect to, and then click Connect.

Note Note

If SQL Server is installed on a cluster, the server name is the name of the cluster and not the computer name.

  1. In the Object Explorer, expand Databases and verify that the Team Foundation Server databases exist.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Installing Team Foundation Server (databases)
Team Foundation Installation Roadmap for Dual-Server Deployment


Installing Team Foundation Server (services)

Installing Team Foundation Server (services)
See Also
DropDown image

Use the procedures in this section to install and configure Team Foundation Server application-tier components and their prerequisites on a server separate from the data-tier components.

These prerequisites and components include:

Component | Installation order
Internet Information Services (IIS) 6.0 | First (prerequisite for Team Foundation Server application-tier components)
SQL Server 2005 Reporting Services | Second (prerequisite for Team Foundation Server application-tier components)
Windows SharePoint Services with Service Pack 2 | Third (prerequisite for Team Foundation Server application-tier components)
Team Foundation Server application-tier components | Fourth

For an overview of the entire process for installing Team Foundation Server on two computers, see Team Foundation Installation Roadmap for Dual-Server Deployment.

In This Section

How to: Install Internet Information Services for Team Foundation Server (services)

Describes how to install and configure Internet Information Services (IIS) 6.0 on the application tier.

How to: Install Microsoft SQL Server 2005 Reporting Services for Team Foundation Server (Dual-Server Deployment)

Describes how to install SQL Server 2005 Reporting Services on the application tier in a Team Foundation Server dual-server deployment.

How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment)

Describes how to install and configure Windows SharePoint Services on the application tier.

How to: Install Team Foundation Server (services)

Describes how to install the Team Foundation Server application-tier components.

See Also

Other Resources

Overview of Team Foundation Server Dual-Server Deployment
Installing Team Foundation Server (databases)


How to: Install Internet Information Services for Team Foundation Server (services)

How to: Install Internet Information Services for Team Foundation Server (services)
See Also

Use this procedure to install Internet Information Services (IIS) 6.0 on the Team Foundation Server application tier.

Note Important

If you plan to use this computer as a domain controller, you should do so before installing IIS. Promoting a computer to be a domain controller deletes all local user accounts, including those used by IIS. This is by design since domain controllers do not have any local user accounts.

To configure the server as an application server

  1. Start the Configure Your Server Wizard by doing either of the following:

    • By default, Manage Your Server starts automatically when Windows starts. From Manage Your Server, click Add or remove a role.

    • From Control Panel, open Administrative Tools, and then open Configure Your Server Wizard.

  2. On the Welcome to the Configure Your Server Wizard page, click Next.

  3. On the Preliminary Steps page, click Next.

  4. On the Server Role page, click Application server (IIS, ASP.NET), and then click Next.

  5. On the Application Server Options page, select Enable ASP.NET, and then click Next.

    Note Important

    Do not select FrontPage Server Extensions. This server will host Windows SharePoint Services, which is incompatible with FrontPage Server Extensions.

  6. On the Summary of Selections page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  7. Click Finish to complete the wizard.

  8. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

To enable ASP.NET using the Add or Remove Programs utility

  1. From Control Panel, open Add or Remove Programs.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard starts.

  3. On the Windows Components page, select Application Server, and then click Details.

  4. If not already checked, select ASP.NET, and then click OK.

    Note Important

    Do not at any time select FrontPage 2002 Server Extensions. This server will host Windows SharePoint Services, which is incompatible with FrontPage Server Extensions.

  5. On the Windows Components page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  6. Click Finish to close the wizard.

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

Security

To perform these procedures, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Installing Team Foundation Server (services)
Team Foundation Installation Roadmap for Dual-Server Deployment


How to: Install Microsoft SQL Server 2005 Reporting Services for Team Foundation Server (Dual-Server Deployment)

How to: Install Microsoft SQL Server 2005 Reporting Services for Team Foundation Server (Dual-Server Deployment)
See Also

Use these procedures to install Microsoft SQL Server 2005 Reporting Services for either Microsoft SQL Server 2005 Standard or Enterprise Edition. You can install interactively using the setup wizard or using an answer file.

Note Note

Before installing, the computer needs to have Internet Information Services with ASP.NET enabled.

Install Microsoft SQL Server 2005 Reporting Services

Install SQL Server 2005 Reporting Services using Microsoft SQL Server 2005 Standard or Enterprise Edition. Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition.

Note Note

You must install Internet Information Services (IIS) 6.0 before installing Microsoft SQL Server 2005 Reporting Services.

To install Microsoft SQL Server 2005 Reporting Services interactively

  1. On the application tier computer, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Insert the CD for Microsoft SQL Server 2005 and under Install on the SQL Server 2005 Start page, click Server components, tools, Books Online, and samples.

    Note Note

    The CD for Microsoft SQL Server 2005 Standard edition is available with Team Foundation Server. To install SQL Server Enterprise, you can use the CD from the software you purchased separately. The Start Page is available by running the Splash.hta file located in the Servers folder of the installation media.

    The Microsoft SQL Server 2005 Setup wizard starts.

  3. On the End User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the licensing terms and conditions, and then click Next.

  4. On the Installing Prerequisites page, click Install. After the required components are installed successfully, click Next.

    The Microsoft SQL Server Installation Wizard starts.

  5. Click Next to start the System Configuration Check.

  6. On the System Configuration Check page, check the status of any required actions, such as required system restarts and follow the guidance on this page until all actions achieve Success status. After all actions achieve Success status, click Next to start installation.

    Note Note

    It may take a few moments for the installer to start.

  7. On the Registration Information page, complete the registration information, and then click Next.

  8. On the Components to Install page, select Reporting Services, and then click Next.

    Note Note

    If you click Advanced, do not remove any default selections.

  9. On the Instance Name page, select Default instance, and then click Next.

    Note Important

    Team Foundation Server setup will fail if you specify a named instance.

  10. On the Service Account page, select Use the built-in System account and from the list select Network Service. In Start services at the end of setup, select Reporting Services, and then click Next.

  11. On the Report Server Installation Options page click Next.

    Install but do not configure the server is selected by default.

  12. On the Error and Usage Report Settings page, you can optionally select Automatically send Error reports for SQL Server 2005 to Microsoft or your corporate error reporting server and Automatically send Feature Usage data for SQL Server 2005 to Microsoft, and then click Next.

  13. On the Ready to Install page, you can review the list of components to be installed, and then click Install.

  14. On the Setup Progress page, you can monitor the installation status of each component. After setup has completed, click Next.

    Note Note

    Installation may appear to hang for several minutes during activation of SQL Server Reporting Services.

  15. Click Finish to exit the wizard.

Caution note Caution

Do not use the Reporting Services Configuration Tool to verify that the services are running. Team Foundation Server Setup Wizard configures the Reporting Services for you and opening the tool might prevent setup from completing.

Alternatively, you can install Microsoft SQL Server 2005 Reporting Services using the provided answer file from the command line. This answer file will automate setup to install and configure Microsoft SQL Server 2005 Reporting Services for use with Team Foundation Server.

To install Microsoft SQL Server 2005 Reporting Services using an answer file

  1. On the application tier computer, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. On the Team Foundation Server installation media, locate and copy the pre-configured auto-answer file (SQL2005ForAT.ini) to a convenient location on your local hard drive (for example, C:\).

  3. Run setup for Microsoft SQL Server 2005 using the following command line:

    C:\>SQLServerSetupDirectory\setup.exe /qb /settings AnswerFileDirectory\SQL2005ForAT.ini PIDKEY=ProductKey

    Where SQLServerSetupDirectory is the path to setup.exe for Microsoft SQL Server 2005, AnswerFileDirectory is the path to the answer file, and ProductKey is the product key for Microsoft SQL Server 2005 without hyphens or spaces.

    Note Important

    The Visual Studio Team Foundation Server (services) Setup wizard configures the Reporting Services to work with the data tier for you. Using the Reporting Service Configuration Tool at this point may prevent the wizard from configuring the services properly.

Verifying the Report Services Installation

After installation, verify that the services are running and are set to begin automatically.

To verify the installation

  1. Click Start, click Administrative Tools, and then click Services.

  2. In the Name column of the Services Manager, locate SQL Server Reporting Services, and verify that the Status is Started and the Startup Type is Automatic.

    Note Note

    You can change the status or start up type by right-clicking the service, clicking Properties, and making the changes.

  3. Close the Services Manager.

    After verifying the services, you need to install two QFE's. For more information, see Checklist: Team Foundation Server Dual-Server Deployment.

Security

To perform these procedures, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Installing Team Foundation Server (databases)
Team Foundation Installation Roadmap for Dual-Server Deployment


How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment)

How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment)
See Also

Use the following procedure to install Microsoft Windows SharePoint Services with Service Pack 2 for Team Foundation Server interactively using the setup wizard, or silently from the command line.

Note Important

Windows SharePoint Services requires an NTFS file system.

Install Microsoft Windows SharePoint Services

Install Microsoft Windows SharePoint Services with Service Pack 2.

Note Note

Prior to installing Team Foundation Server on a localized version of Windows SharePoint Services, you must first install the Windows SharePoint Services language pack that matches the Team Foundation Server language. For example, if you plan to install a localized version of Windows SharePoint Services and the English version of Team Foundation Server, you must install the English Windows SharePoint Services language pack before installing Team Foundation Server.

To install Windows SharePoint Services interactively

  1. On the application tier computer, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Download Microsoft Windows SharePoint Services with Service Pack 2 (http://go.microsoft.com/fwlink/?linkid=55087) and save the file to your local hard drive.

  3. Run the downloaded self-extracting installer file (stsv2.exe).

  4. On the End-User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the terms in the License Agreement, and then click Next.

  5. On the Type of Installation page, select Server Farm, and then click Next.

    Note Important

    You must install Windows SharePoint Services using the Server Farm option. This configures Windows SharePoint Services to use a remote SQL Server. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

  6. On the Summary page, click Install.

    When the installation is complete, a Web browser window opens and displays the Configure Administrative Virtual Server page. After confirming that the page appears, close the browser window without making any changes.

    Note Important

    Do not make any changes on the page that appears. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

    If the page does not appear, you should determine the cause and troubleshoot using the Windows SharePoint Services Administrator's Guide (http://go.microsoft.com/fwlink/?LinkId=52668).

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  8. Reboot the computer.

Alternatively, you can install Windows SharePoint Services silently from the command line.

To install Windows SharePoint Services silently

  1. On the application tier computer, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Download Microsoft Windows SharePoint Services 2.0 with Service Pack 2 (http://go.microsoft.com/fwlink/?linkid=55087) and save the file to a convenient location on your local hard drive.

  3. Run the downloaded self-extracting installer file (stsv2.exe) using the following command line:

    C:\>DownloadDirectory\STSV2.EXE /C:"setupsts.exe /remoteSql=yes /provision=no /q"

    Where DownloadDirectory is the path to the location on your hard drive where you saved the downloaded file.

    Note Important

    You must install Windows SharePoint Services using the /remoteSql=yes option. This configures Windows SharePoint Services to use a remote SQL Server. The /provision=no option will defer configuration of Windows SharePoint Services. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

    You will not receive any indication that setup is complete. Instead, allow several minutes for setup to complete before continuing.

  4. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  5. Reboot the computer.

Verifying the Installation

After installing Windows SharePoint Server, you can make sure that the services are running even though you have not installed Team Foundation Server.

To verify that Windows SharePoint Services are installed

  • Open Internet Explorer and type the server name as the address.

    For example, for a server named ADATUM, you would type Http://adatum.

    Although a site is not configured, the server is an active Web server and provides an Under Construction page.

Security

To perform these procedures, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Installing Team Foundation Server (services)
Team Foundation Installation Roadmap for Dual-Server Deployment


How to: Install Team Foundation Server (services)

How to: Install Team Foundation Server (services)
See Also

Use this procedure to install the Team Foundation Server application tier components. Before performing this procedure, complete the installation of the data tier computer and complete the application tier prerequisites.

For more information, see Installing Team Foundation Server (services) and Team Foundation Installation Roadmap for Dual-Server Deployment.

To install the Team Foundation Server (services)

  1. On the application tier computer, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Insert the CD and on the autorun page, click Install Team Foundation Server, click Dual-Server Installation, and then click Install the Team Foundation Application Tier ONLY.

    If the autorun page does not appear, locate and run the autorun file (autorun.exe) in the root folder on the installation media.

    The Visual Studio Team Foundation Server (services) Setup wizard starts.

  3. On the Welcome to Setup page, click Next.

  4. On the License Terms page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

    The setup wizard scans for conditions that could cause setup to fail or cause issues later during server operation.

  5. On the Destination Folder and Database Server page, type the following information:

    • In the Destination folder box, type the installation path, or accept the default.

    • In the Database Server box, type the name of the computer on which you installed the Team Foundation Server (databases).

      Note Note

      You must use the name of the computer, not the IP address.

  6. On the System Health Check page, examine any warnings or blocks by clicking the report link.

    • Blocks must be addressed before setup can continue. Click Cancel and run setup again after fixing the issues.

    • Warnings should be addressed before continuing but should not prevent setup from completing. You can click Next.

    • If nothing is listed, click Next.

  7. On the Service Account page, type the account information for the Team Foundation Server Service account (for example, Domain\TFSSERVICE), and then click Next.

  8. On the Reporting Logon Account page, type the account information for the Team Foundation Server Reporting account (for example, Domain\TFSREPORTS), and then click Next.

    Note Note

    This account should not be the same as the Team Foundation Server Setup or Service accounts.

  9. On the Team Foundation Alerts page, type the following information:

    1. In the SMTP server box, type the name of the server that you will use to send Team Foundation Alerts.

    2. In the From e-mail address box, type the name of the e-mail address for sending Team Foundation Alerts, and then click Next.

      Note Note

      If you want to enable alerts at this time, you need to know the SMTP server for your organization. Team Foundation Server does not require special configuration settings for SMTP only access. Installation and configuration for SMTP is outside the scope of this documentation set. For more information, see the documentation for Windows Server 2003.

  10. On the Ready to Install page, click Install.

    During installation, you may be prompted to restart your computer. Click Restart Now and setup will continue after the computer restarts and you log on again.

  11. On the Setup Completed Successfully page, and then click Finish.

    After installing Team Foundation Server, you should back up the Reporting Services Encryption key using the Reporting Services Configuration Tool. This step is not a requirement to create Team Projects, but is part of best practices for managing Team Foundation Server. For more information, see How to: Back up the Reporting Services Encryption Key in the Team Foundation Server Administrator's Guide.

  12. In Internet Explorer, locate http://localhost:8080/services/v1.0/Registration.asmx and click GetRegistrationEntries.

  13. On the GetRegistrationEntries page, click Invoke. You do not need to enter a ToolID.

    Note Note

    To use this Web method, you must be on the application-tier computer.

  14. In the XML, verify that the type VSTF exists and then close.

    <?xml version="1.0" encoding="utf-8" ?>

    <Type>vstfs</Type>

    Note Note

    After installing Team Foundation Server, you might want to install Team Explorer, Team Foundation Build, or Team Foundation Server Proxy.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Installing Team Foundation Server (services)
Overview of Installing Team Foundation Build
Overview of Installing Team Foundation Server Proxy


Providing Continuous Server Availability
DropDown image

In order to provide continuous service to the system clients during maintenance or in the event of a server failure, you can add computers to the Team Foundation system and configure them to take over data tier or application tier services.

In This Section

Checklist: Team Foundation Server Cluster Deployment

Provides a summary what is required before installing the Team Foundation databases in a cluster.

How to: Prepare a Cluster for Data Tier Installation

Provides the steps you must complete before installing the Team Foundation databases in a cluster.

How to: Accelerate Server Recovery in a Cluster

Provides the steps to use a script file to explicitly restart services between the data tier in a cluster and the application tier.

Checklist: Standby Application-Tier Configuration

Provides a summary of the steps you must complete to set up a standby computer to support the application-tier services.

How to: Configure an Application Tier as a Standby

Describes the steps you must complete to set up a warm standby computer for the application tier of Team Foundation.

Related Sections

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Online Resources

Team Foundation Administrator's Guide (http://go.microsoft.com/fwlink/?LinkId=52459).

See Also

Concepts

Team Foundation Installation


Checklist: Team Foundation Server Cluster Deployment

Checklist: Team Foundation Server Cluster Deployment
CollapseAll image DropDown image

To make sure maximum availability for Team Foundation, you can install the data tier in a cluster. Use this checklist as an overview of what you need before you install Team Foundation in a cluster.

Expand image Windows 2003 Server Cluster and SQL Server 2005

Done | Step
 | Install Windows Server 2003 Enterprise Edition or Windows Server 2003 Datacenter Edition
 | Configure a single quorum cluster that supports two nodes configured for active/passive mode.
 | Install SQL Server 2005 including the Analysis component setup with a static IP address for the virtual server name of the cluster and a static IP address for the virtual server name of the SQL Server.
 | Verify that SQL Server 2005 is running.
 | Verify that each SQL Server service set to startup automatically.
 | Make a copy of the NetSetup folder for the data tier on the local drive.
 | Modify the msiproperty.ini with the keyname VSTF_DB_SERVER set to the virtual server name of the cluster.

Expand image Team Foundation Server Installation (Databases)

Done Step

Verify hardware and software requirements. For more information, see Team Foundation System Requirements.

Identify which user account you want to use to run setup and add the account to the local Administrators group.

Typically, this would be your user account. In this guide, this account is referred to as Domain\TFSSETUP. For more information, see User Accounts Required for Team Foundation Server Setup.

Obtain two service accounts to provide for communications between the services used by Team Foundation Server.

  • An account to run Team Foundation services (for example, Domain\TFSSERVICE).

  • An account to access SQL Server Reporting Services data sources (for example, Domain\TFSREPORTS).

For more information, see User Accounts Required for Team Foundation Server Setup.

On the active node, add the account for running Team Foundation Server Setup (for example, Domain\TFSSETUP) to the local Administrators group.

On the active node, install Microsoft SQL Server 2005 Standard or Enterprise Edition as the default instance of SQL Server on this computer. Use Local System as the service account. For more information, see How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment).

On the active node, install the hotfix KB912838 for Microsoft SQL Server 2005.

Note Note

To avoid restarting the computer, stop the SQL Server Browser Service in the SQL Server Management Studio before you install.

On the installation media, locate the folder KB912838, locate the executable file (.exe) for your platform and language such as AS2005-KB912838-x86-ENU.exe, and then double-click the file to install. After installing, restart the SQL Server Browser Service.

Verify your Microsoft SQL Server 2005 installation using the steps outlined in the topic How to: Verify Microsoft SQL Server 2005 Installation or How to: Verify a Successful Installation of SQL Server 2005 Services in SQL Server Books Online (http://go.microsoft.com/fwlink/?LinkId=60404).

On the active node, verify that the appropriate ports are open.

If you are using Windows Firewall, or a third-party firewall software or hardware solution, you should make sure that the required ports are open to allow communication between components. For more information, see Ports Required for Team Foundation Server Setup.

On the active node, install Team Foundation Server (databases). For more information, see How to: Install Team Foundation Server (databases).

Expand image Team Foundation Server Installation (Services)

You must install the application services on a computer outside the cluster. Only the Team Foundation databases can reside in a cluster.

Done Step

Verify that the application-tier computer meets the hardware and software requirements. For more information, see Team Foundation System Requirements.

Add the user account to run setup to the local administrators group. In this guide, the account is referred to as Domain\TFSSETUP.

For more information, see User Accounts Required for Team Foundation Server Setup.

Install Internet Information Services (IIS) 6.0 and enable ASP.NET.

Caution note Caution

Do not install FrontPage Server Extensions.

For more information, see How to: Install Internet Information Services for Team Foundation Server (services).

Install SQL Server 2005 Reporting Services (using Microsoft SQL Server 2005 Standard or Enterprise Edition) for use with Team Foundation Server.

Caution note Caution

Do not configure the Report Server. Team Foundation Server (services) Setup finishes configuring the services for you.

Install the hotfix KB913393 for Microsoft .NET Framework 2.0.

On the installation media, locate the folder KB913393, locate the executable file (.exe) for your platform, and then double-click the file to install.

Install Windows SharePoint Services with Service Pack 2 for use with Team Foundation Server and restart.

Caution note Caution

Do not configure Windows SharePoint Services. Team Foundation Server (services) Setup finishes configuring Windows SharePoint Services for you.

For more information, see How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment).

Install Team Foundation Server (services). For more information, see How to: Install Team Foundation Server (services).

Verify that the firewall the appropriate ports are open or that SQL Server is included as an exception.

If you are using Windows Firewall, or a third-party firewall software or hardware solution, you should make sure that the required ports are open to allow communication between components.

For more information, see Ports Required for Team Foundation Server Setup.

Install Team Explorer either locally or on another computer. For more information, see Overview of Installing Team Explorer.

Expand image See Also

Tasks

How to: Prepare a Cluster for Data Tier Installation


How to: Prepare a Cluster for Data Tier Installation

How to: Prepare a Cluster for Data Tier Installation

You can provide uninterrupted service to your clients by running the data tier in a cluster. Before you run the Team Foundation Server Installation wizard, you must prepare the cluster for installation of the Team Foundation databases.

The following procedures assume that you have SQL Server 2005 installed and running in a cluster. For more information, see "How to: Create a New SQL Server 2005 Failover Cluster (Setup)" at http://msdn2.microsoft.com/en-us/library/ms179530.aspx.

To complete this procedure, you need to know the virtual server name and IP Address for SQL Server.

To prepare a cluster for data tier installation

  1. Log on to the active node in the cluster as a Cluster Administrator.

  2. On the Windows Start menu, click Microsoft SQL Server 2005, click Configuration Tools, and then click SQL Server Configuration Manager.

  3. For each following SQL Server service, open the Properties dialog box, and on the Service tab, set the Start Mode to Automatic.

    • SQL Server (MSSQLSERVER)

    • SQL Server Agent (MSSQLSERVER)

    • SQL Analysis Services (MSSQLSERVER)

    • SQL Server Integration Services

    • SQL Server Browser

    • SQL Server FullText Search (MSSQLSERVER)

      Note Note

      If any of these services are missing, you cannot install Team Foundation. You can modify the SQL Server 2005 installation using Add/Remove Programs to add the missing components for SQL Server 2005.

  4. Copy the NetSetup folder for the data tier from the installation media to a directory on the local drive such as c:\temp\.

  5. In the copy of NetSetup, locate and edit the msiproperty.ini file in a text editor.

  6. In the file, locate the keyname VSTF_DB_SERVER, and replace ComputerName with the virtual server name for SQL Server.

    The following examples show the original token specification and the one modified for installation on VSTFSQLCLUSTER.

    Original VSTF_DB_SERVER=[ComputerName]

    Modified VSTF_DB_SERVER=[VSTFSQLCLUSTER]

    Caution note Caution

    Replace only this instance. If you replace ComputerName with the virtual server name for other tokens, you incorrectly update the application-tier services computer name.

  7. Install the Team Foundation databases. For more information, see How to: Install Team Foundation Server (databases).

Security

To prepare a cluster for data tier installation, you must be a member of the Cluster Administrator group. For more information, see Team Foundation Server Permissions.

See Also

Tasks

How to: Accelerate Server Recovery in a Cluster

Reference

Checklist: Team Foundation Server Cluster Deployment

Concepts

Providing Continuous Server Availability


How to: Accelerate Server Recovery in a Cluster
See Also Example

As a Team Foundation administrator, you can use a script file to explicitly restart services between the data tier in a cluster and the application tier. Although SQL Server 2005 eventually restarts the services, you can provide a more timely recovery by adding a resource to the data-tier cluster. To add a resource, you must provide a script file that restarts services and controls when the script is run and direct the resource to points to it.

The following procedures assume that you have data-tier server that is running in a cluster and that you have a working application-tier server.

To add a resource to the data-tier cluster

  1. Log on to the active node of the cluster.

    Note Note

    The passive node accepts only the connections that were established to the active node. If you try to log on to the passive node, an error message appears.

  2. In your favorite text editor, create a script file that implements Windows Management Instrumentation (WMI) to query the application pool processes and reset each process.

    Note Tip

    In Visual Studio, you can quickly create the script file by using either the VBScript or JScript the Web templates and adding the script from the example that is provided in this topic. You must replace the placeholder for the name of the application-tier server with the server name appropriate for your system.

  3. Save the file to an appropriate drive and directory.

  4. Click Start, click Programs, click Administrative Tools, and then click Cluster Administrator.

  5. Right-click the Resources node, click New, and then click Resources.

  6. In the New Resource wizard, type a name for the resource and then click Generic Script for the Resource Type.

    For example, you might provide the following information.

    • Name: TFS IIS Reset

    • Description: Points to TFS_IIS_RESET.vbs which resets IIS connections to the application tier.

    • Resource type: Generic Script

    • Group: Cluster Group

  7. On the Possible Owners page, verify that the two computers in the cluster are in the Possible Owners list.

  8. On the Dependencies page, select and click Add for each resource in the Available Resources box to move the resources to the Dependencies box.

    By adding all resources as dependencies, you make sure that the new resource is the last resource brought online.

  9. On the Generic Script Parameters page, type the path and name of the script file and then click Finish.

    Note Tip

    If the file path is long, you can locate the file in Windows Explorer and view the file's properties. On the General tab, you can select and copy the path from the Location and paste the text into the wizard. You have to type the file name.

  10. In the Cluster Administrator, right-click the resource for the script you added and then click Bring Online.

Example

In Visual Studio, you can create a script file by using the Web template for VBScript available in the New File dialog box. The following example implements the routines of the Cluster API to control the operating system by using the WMI, the Online function queries the IIS application pool and starts each process in the pool. The Offline function queries the IIS application pool and stops each process. The LooksAlive and IsAlive functions of the Cluster API set the status information that is used by the Resource Monitor.

Note Note

Be sure to replace the placeholder for the name of the application-tier server, TFS AT Name, with the server name for the application tier in your system.
CopyCode image Copy Code
Sub Open( )
End Sub

Function Close( )
End Function

Function Online( )
strComputer = "TFS AT Name"

Set objWMIService = GetObject _
    ("winmgmts:{authenticationLevel=pktPrivacy}\\" _
        & strComputer & "\root\microsoftiisv2")

Set colItems = objWMIService.ExecQuery _
    ("Select * From IIsApplicationPool")

For Each objItem in colItems
    objItem.Start
Next
End Function

Function Offline( )
strComputer = "TFS AT Name"

Set objWMIService = GetObject _
    ("winmgmts:{authenticationLevel=pktPrivacy}\\" _
        & strComputer & "\root\microsoftiisv2")

Set colItems = objWMIService.ExecQuery _
    ("Select * From IIsApplicationPool")

For Each objItem in colItems
    objItem.Stop
Next
End Function

Function Terminate( )
    Call Offline
End Function

Function LooksAlive ( )
    LooksAlive = True

End Function

Function IsAlive( )
   IsAlive= True
End Function

Security

To accelerate server recovery in a cluster, you must be a member of the Cluster Administrator group. For more information, see Team Foundation Server Permissions.

See Also

Concepts

Ensuring Team Foundation Server Availability

Other Resources

Managing Data


Checklist: Standby Application-Tier Configuration
CollapseAll image DropDown image

This checklist outlines the general steps for configuring an application tier on a standby computer. The list assumes that you have the following physical architecture set up.

  • A server that has SQL Server and Team Foundation Server database components that run

  • A server that has Windows SharePoint, SQL Reporting Services, and Team Foundation Server services components installed and running.

  • A server that meets the hardware and software requirements for the application tier.

You should print this checklist and mark each step as you complete it.

Expand image Preparation

You need the following items prepared in advance of installing and configuring the standby computer.

Done Step

Verify that the standby computer meets the hardware and software requirements for an application tier. For more information, see the Application Tier section in Team Foundation System Requirements.

On the standby computer, add the following user accounts to the Local Administrators group of the standby computer. These accounts should already exist on the domain and the primary application-tier computer.

  • The user account to run setup, for example, Domain\TFSSETUP.

  • The service account to run Team Foundation services, for example, Domain\TFSSERVICE.

  • The service account to access SQL Server Reporting Services data sources, for example, Domain\TFSREPORTS.

For more information, see User Accounts Required for Team Foundation Server Setup.

Expand image Installation

Done Step

On the standby computer, install Internet Information Services (IIS) 6.0 and enable ASP.NET.

Caution note Caution

Do not install FrontPage Server Extensions.

For more information, see How to: Install Internet Information Services for Team Foundation Server (services).

On the standby computer, install SQL Server 2005 Reporting Services (using Microsoft SQL Server 2005 Standard or Enterprise Edition) for use with Team Foundation Server.

On the standby computer, install the hot fix KB913393 for Microsoft .NET Framework 2.0.

On the installation media, locate the folder KB913393, locate the executable file (.exe) for your platform ( X86), and then double-click the file to install.

On the standby computer, install Windows SharePoint Services with Service Pack 2 for use with Team Foundation Server and restart the standby computer.

Caution note Caution

Do not configure any settings for Windows SharePoint Services. Team Foundation Server (services) Setup finishes configuring the services for you.

For more information, see How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment).

On the standby computer, install Team Foundation Server (services). For more information, see How to: Install Team Foundation Server (services).

Note Note

For the warning that the data-tier server you provided is being used, enter Y to continue.

Verify that the appropriate ports are open.

On the data tier computer, if you are using Windows Firewall, or a third-party firewall software or hardware solution, you should make sure that the required ports are open to allow communication between components. For more information, see Ports Required for Team Foundation Server Setup.

Install Team Explorer. For more information, see Overview of Installing Team Explorer.

On the standby computer, update the user accounts and groups to match the primary computer. For example, make sure that the group memberships and roles for creators of team projects on the primary computer have appropriate memberships and roles on the standby computer. For more information, see How to: Add Users to the Team Foundation Administrators Application Group.

Expand image Configuration

Done Step

Select a method for adding a DNS host to the domain. You have to select a method for specifying a single host name for binding to the clients and the data tier regardless of which application tier is active.

  • If the Team Foundation Server administrator has Domain Administration rights, use DNS Hosts Update.

  • If domain administration is unavailable to the Team Foundation Server administrator, use Dedicated IP (DIP) Addresses. For this option, obtain static IP addresses for the primary and standby computers and specify a virtual server name on the domain that uses the same IP address as the primary.

For more information about these specifying a host name, see the section "Configuring Network Adapters" in How to: Configure an Application Tier as a Standby.

If the application-tier server is running SQL Server Enterprise Edition, configure the Reporting Services for Scale Out Deployment by using the Reporting Services Configuration Tool.

If the application-tier server is running SQL Server Standard Edition, back up the Reporting Services encryption key using the Reporting Services Configuration Tool.

Set the server name for the Team Foundation Server application-tier to the virtual server name. This step changes the name from the computer name to the name that can point to either computer through the network adapter method that you used.

Connect Team Explorer to the virtual server name.

Expand image See Also

Tasks

How to: Configure an Application Tier as a Standby

Concepts

Providing Continuous Server Availability

Other Resources

Overview of Team Foundation Server Dual-Server Deployment


How to: Configure an Application Tier as a Standby

You can set up a standby computer for the application tier when you first set up Team Foundation Server or you can set it up later. You must set up a virtual server name that can be configured to point to either application tier computer so the switch between computer is transparent to the client computers and the data-tier server.

This procedure assumes that you have already completed preparation and installation steps as outlined in Checklist: Standby Application-Tier Configuration. These procedures provide the details for completing the configuration steps provided in the checklist.

  • Configuring a Network Adapter to provide a virtual server name

  • Configuring SQL Server 2005 for standby use

  • Configuring Team Foundation Server to use the virtual server name

  • Connecting Team Explorer to the virtual server name

Configuring a DNS Host

To provide a single name that clients and the data tier can use for communications regardless of which application tier server is active, you need to specify a host name on the domain. When you want to switch application tier services from the primary to the standby server, you need to use that name to activate the standby and bind it to the data tier.

The following procedures describe two options for specifying a host name on the domain. Both options require DNS administrator privileges because you need to create a DNS host record for the virtual application server. If your organization does not provide Domain Administration rights to Team Foundation Server administrators, you need to use Dedicated IP Addresses so that you can update the IP Address for the host name

In an organization where domain administrator rights are granted to the Team Foundation Server administrator, the DNS Hosts update approach is recommended.

DNS Hosts Update A DNS Hosts (A) record is created with the IP address of the Primary TFS AT server. No special network configuration is needed on either of the TFS AT servers because DNS resolves requests for the Virtual TFS AT server to the IP address of the Primary AT server. During failover, a domain administrator must update the DNS Hosts entry to redirect traffic to the new Primary TFS AT server.

Dedicated IP (DIP) Addresses In this configuration, three static IP addresses are required. A DNS Hosts record that maps the Virtual TFS AT server name to one of the dedicated IP addresses is created by a domain administrator. That static IP address and one of the unused ones are manually set in the TCP/IP properties for the network connection on the Primary TFS AT server. The Standby TFS AT server is configured with the remaining static IP address. During failover, the TFS administrator changes the network settings on the new Primary AT server so that it now responds to requests on the static IP address used for the Virtual TFS AT server.

To implement a standby computer, the Domain Server must have resource records for three servers.

  • Primary The computer name of the primary application-tier server that uses a static IP Address. For example, you might name the primary server TFS_AT_01.

  • Standby The computer name of the standby application-tier server that uses a static IP Address. For example, you might name the standby server TFS_AT_02.

  • Virtual server The virtual server name for the application tier with the static IP Address that is the same as the IP Address the primary computer. For example, you might use the name TFS_AT for the virtual server name.

    After a failure, the IP Address for the virtual server name must be updated manually to match the standby computer.

    The following procedures assume that you already have a data-tier server and application-tier server set up and running.

    Note Note

    The steps to obtain static IP Addresses and specify a virtual server name depend on how your organization manages the domain and is not within the scope of this documentation. For more information, see the Domain Administrator.

To specify a host name on the domain

  1. From Start, click run, type dnsmgmt.msc and click OK.

  2. In the DNS Manager, click Forward Loop Zones, right-click the domain name, and click New Host (A).

  3. In the New Host dialog box, type the name you want to use for the virtual server such as TFS_AT.

  4. Examine and note the static IP Addresses for the primary and standby computers.

  5. Select Create associated pointer (PTR) record, type the IP address according to the method you chose to use, and then click Add Host.

    • DNS Hosts Update Enter the IP address of the primary computer

    • Dedicated IP (DIP) Addresses Enter one of the three static IP addresses as the address of the virtual server for the application tier. You need to configure the network connections for the IP addresses.

  6. Verify that the primary computer and the virtual server are using the static IP address that you expect and that the addresses are the same.

To configure network connections for dedicated IP addresses

  1. On the primary computer, open a Command Window and type ipconfig /all.

    Note Note

    If you are using DNS Hosts Update, you do not need to complete this procedure.

    The network configuration settings appear.

  2. From Start, click Control Panel, and then click Network Connections.

  3. Locate the network connection for the domain, right-click Internet Properties (TCP/IP), and then click Properties.

  4. Click Use the following IP Address, and type the static IP address for the primary computer and then type the subnet mask for that IP address using the information shown in the Command window.

  5. In the Command window, locate the name of the default gateway.

  6. In the Network Connections dialog box, click Use the following DNS server addresses, type the first DNS server address listed as the Preferred DNS Server, and then click Advanced.

  7. In the Advanced TCP/IP Settings dialog box, click DNS tab, click Add, and then specify additional DNS server listed in the network configuration settings.

  8. Click WINS tab, click Add, and specify the primary and secondary WINS servers listed in the network configuration settings.

  9. Click IP Settings tab, click Add, and specify the static IP addresses for the virtual server such as AT_TFS.

  10. Repeat the previous steps on the standby computer.

Configuring SQL Server 2005 for standby use

You need to complete one of the following depending on your edition of Microsoft SQL Server 2005.

  • When using SQL Server Standard Edition, the Reporting Services encryption key file and the password used to protect the contents are required to activate Reporting Services on the Standby TFS AT server.

  • When using SQL Server Reporting Services Enterprise Edition, you need to configure for Scale Out deployment. In this case the Reporting Services instance on the Standby TFS AT server needs to be joined to a scale-out deployment (see http://msdn2.microsoft.com/en-us/library/ms159114.aspx).

To configure SQL Server 2005 Standard Edition

  1. Open a command prompt on the Primary TFS AT server

  2. Locate the binn directory by typing cd %Program Files%\Microsoft SQL Server\90\Tools\binn.

  3. Run rsconfigtool.exe

  4. In the Reporting Services Configuration tool, click Encryption Keys in the left navigation pane, click Backup.

  5. Enter a strong password to protect the encryption key file contents.

  6. Save the file to a location that is available if the primary server fails.

To configure SQL Server Reporting Services Enterprise Edition

  1. On the standby computer, open Report Server Configuration Tool.

  2. Click OK to connect to the Report Server instance on the standby server

  3. Click Initialization option in the left hand pane, and verify that an entry for the second report server instance is created. The Initialized checkbox should be empty.

  4. Reconnect to the report server instance on the primary server. The primary report server is already initialized for reversible encryption operations, therefore, is used to initialize the new report server instance on the standby for scale-out deployment.

  5. On the Initialization page, select the report server instance you are joining to the deployment, and click Initialize. The Initialized checkbox should be selected for all report server instances that are part of the same scale-out deployment, and click Apply. (You may need to click refresh.)

  6. In Internet Explorer, located http://TFSAT02/reports, and verify that the standby server is in the scale-out deployment.

Configuring Team Foundation Server to Use the Virtual Server Name

To configure the primary computer to use the virtual server name

  • On the primary computer, activate the virtual server name by using the ActivateAT command of the TfsAdminUtil command-line utility.

    For example, the following command activates TFS_AT as the application-tier server which is using the same IP Address as the primary server.

    TfsAdminUtil ActivateAT TFS_AT

To configure the standby computer to use the virtual server name

  • On the standby computer, activate the virtual server name by using the ActivateAT command of the TfsAdminUtil command-line utility. For example, the following command activates TFS_AT as the application-tier server which is using the same IP Address as the primary server.

    TfsAdminUtil ActivateAT TFS_AT

Connecting Team Explorer to the Virtual Server

To connet Team Explorer to the virtual server

  1. Open Team Explorer, click Tools, and then click Connect to Team Foundation Server.

  2. Add a server name to the list by clicking Add, specifying the virtual server name, and clicking Close.

  3. In the Connect to dialog box, select the virtual server name from the list and then click Connect.

Security

To perform this procedure, you must be a member of the group. For more information, see Team Foundation Server Permissions.

See Also

Tasks

How to: Install Team Foundation Server (services)

Reference

Checklist: Standby Application-Tier Configuration

Concepts

Providing Continuous Server Availability


Overview of Installing Team Foundation Build

Overview of Installing Team Foundation Build
DropDown image

Team Foundation Server offers build automation to help you build and share Visual Studio 2005 solutions using Team Foundation Build. You can install Team Foundation Build on the same computer as the Team Foundation application tier or on a separate computer.

In This Section

How to: Install Team Foundation Build

Use this procedure to install Team Foundation Build.

Related Sections

Team Foundation System Requirements

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Overview of Team Foundation Server Security for Setup

Provides security-related information for installing Team Foundation Server.

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

See Also

Concepts

Team Foundation Installation


How to: Install Team Foundation Build

How to: Install Team Foundation Build

Use this procedure to install Team Foundation Build.

How to install Team Foundation Build

  1. On the Team Foundation Server installation media, locate the \build folder and run setup.exe.

    The Visual Studio 2005 Team Foundation Build Server Setup wizard starts.

  2. On the Welcome to Setup page, click Next.

  3. On the License Agreement, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  4. On the Destination Folder page, accept the default destination folder and then click Next.

  5. On the System Health Check page, the setup wizard scans your system for conditions that could cause setup to fail, or cause issues later during server operation. After you complete the system scan, setup reports the status of the system health check. If the system health check finds any issues, you can click a link to review a report about specific warnings and blocks. Warnings should be addressed before continuing with setup, but should not prevent setup from completing. Blocks must be addressed before continuing with setup. If the system health check did not find any blocks, click Next. Otherwise, click Cancel and run setup again after fixing any blocking issues.

  6. On the Service Account page, type the Windows domain user account you created for the Team Foundation Server Service account (for example, Domain\TFSSERVICE) in the Account Name box, type the password in the Password box, and then click Next. For more information, see User Accounts Required for Team Foundation Server Setup.

    Note Note

    For this release, you must use the same Windows domain user account as the Team Foundation Server Service account.

  7. On the Ready to Install page, click Install.

    Note Note

    Setup creates program exceptions for MSBuild.exe and TeamBuildService.exe in Windows Firewall to allow communication with Team Foundation Server.

  8. On the Installing Components page, you can monitor the installation of Team Build.

  9. On the Setup Completed Successfully page, click Finish.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Concepts

Team Foundation Physical Architecture
Team Foundation System Requirements

Other Resources

Overview of Installing Team Foundation Build


Overview of Installing Team Foundation Server Proxy

Overview of Installing Team Foundation Server Proxy
DropDown image

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files. You can install Team Foundation Server Proxy on the same computer as the Team Foundation application tier or on a separate computer.

In This Section

How to: Install Internet Information Services for Team Foundation Server Proxy

Describes how to install Internet Information Services (IIS) 6.0 for Team Foundation Server Proxy.

How to: Install Team Foundation Server Proxy

Describes how to install Team Foundation Server Proxy, which can improve source control operations by caching previously accessed files.

How to: Configure Team Explorer to Use a Team Foundation Server Proxy

Describes how to configure Team Explorer to use a Team Foundation Server Proxy.

Related Sections

Team Foundation System Requirements

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Overview of Team Foundation Server Security for Setup

Provides security-related information for installing Team Foundation Server.

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

See Also

Concepts

Team Foundation Installation


How to: Install Internet Information Services for Team Foundation Server Proxy

How to: Install Internet Information Services for Team Foundation Server Proxy
See Also

Use this procedure to install Internet Information Services (IIS) 6.0 for Team Foundation Server Proxy.

To configure the server as an application server

  1. Start the Configure Your Server Wizard by doing either of the following:

    • By default, Manage Your Server starts automatically when Windows starts. From Manage Your Server, click Add or remove a role.

    • From Control Panel, open Administrative Tools, and then open Configure Your Server Wizard.

  2. On the Welcome to the Configure Your Server Wizard page, click Next.

  3. On the Preliminary Steps page, click Next.

  4. On the Server Role page, select Application server (IIS, ASP.NET), and then click Next.

  5. On the Application Server Options page, select Enable ASP.NET, and then click Next.

  6. On the Summary of Selections page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  7. Click Finish to complete the wizard.

  8. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

To enable ASP.NET using the Add or Remove Programs utility

  1. From Control Panel, open Add or Remove Programs.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard starts.

  3. On the Windows Components page, select Application Server, and then click Details.

  4. If not already checked, select ASP.NET, and then click OK.

  5. On the Windows Components page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  6. Click Finish to close the wizard.

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

Security

To perform these procedures, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Tasks

How to: Install Team Foundation Server Proxy

Other Resources

Overview of Installing Team Foundation Server Proxy


How to: Install Team Foundation Server Proxy

How to: Install Team Foundation Server Proxy

Describes how to install the Team Foundation Server Proxy. The proxy improves source control download operations by caching previously accessed files. Typically, you would install Team Foundation Server Proxy on a computer in the remote location of a distributed team.

To install Team Foundation Server Proxy

  1. Install and complete the prerequisites for a Team Foundation Server Proxy computer:

    1. Install Windows Server 2003 with SP1 Enterprise or Standard Edition.

    2. Add the Team Foundation Server Setup account (for example, Domain\TFSSETUP) to the local Administrators group. For more information, see User Accounts Required for Team Foundation Server Setup.

    3. Install Internet Information Services 6.0 and enable ASP.NET. For more information, see How to: Install Internet Information Services for Team Foundation Server Proxy.

    4. Team Foundation Server is running on this computer or is accessible on a server elsewhere.

    5. Install hot fix KB913393 for Microsoft .NET Framework 2.0 available on the installation media.

      Note Note

      If you are installing Team Foundation Server proxy to a separate computer from Team Foundation Server, you must install Microsoft .NET Framework 2.0 separately from the folder on the installation media before installing KB913393.

      On the installation media, locate the folder for the hot fix, such as K913393, locate the executable file (.exe) for your platform and then double-click the file to install the hot fix.

    6. If Team Foundation Server is connecting to the network through a proxy server, verify that Bybass proxy server for local addresses is selected for the Local Area Network (LAN) settings.

      To verify the settings, click Start, click Control Panel, and then click Internet Options. On the Connections tab, click LAN Settings. In the Local Area Network (LAN) Settings dialog box, select Bypass proxy server for local addresses. Both options for automatic detection should be cleared.

      Without this setting selected, esprtfs Proxy Setup cannot work with Windows SharePoint Services to complete authentication and access is denied.

  2. On the proxy server, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP). On the Team Foundation Server installation media, locate the \proxy folder and run setup.exe.

    The Visual Studio 2005 Team Foundation Server Proxy Setup wizard starts.

  3. On the Welcome to Setup page, click Next.

  4. On the License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  5. On the System Health Check page, examine any warnings or blocks by clicking the report link.

    • Blocks must be addressed before setup can continue. Click Cancel and run setup again after fixing the issues.

    • Warnings should be addressed before continuing but should not prevent setup from completing. You can click Next.

    • If nothing is listed, click Next.

  6. On the Destination Folder page, accept the default destination folder and click Next.

  7. On the Default Cache Folder page, accept the default path and folder and click Next.

  8. On the Service Account page, type the Windows domain user account you created for the Team Foundation Server Service account (for example, Domain\TFSSERVICE) in the Account Name box, type the password in the Password box, and then click Next. For more information, see User Accounts Required for Team Foundation Server Setup.

    Note Note

    For this release, you must use the same Windows domain user account as the Team Foundation Server Service account.

  9. On the Ready to Install page, click Install.

  10. On the Installing Components page, you can monitor the installation of Team Foundation Server Proxy.

  11. On the Setup Completed Successfully page, click Finish and Internet Explorer appears.

  12. On the Configuring Team Foundation Version Control Proxy page, follow the directions for configuring the proxy.

    Note Note

    You must configure Team Foundation Server Proxy before you can use it. If this page does not appear, locate and open ProxyConfig.htm on the installation media.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Overview of Installing Team Foundation Server Proxy


How to: Configure Team Explorer to Use a Team Foundation Server Proxy

How to: Configure Team Explorer to Use a Team Foundation Server Proxy
See Also

Describes how to configure Team Explorer to use a Team Foundation Server Proxy.

To Configure Team Explorer to Use a Team Foundation Server Proxy

  1. Start Microsoft Visual Studio 2005.

  2. On the Tools menu, click Options.

  3. Expand Source Control, and then click Visual Studio Team Foundation.

  4. Select Use proxy server.

  5. In the Team Foundation Server name box, type the name of the computer hosting Team Foundation Server Proxy.

  6. In the Port box, type 8081.

  7. In Protocol, select Http.

  8. Click OK.

Security

To perform this procedure, you must be a member of the Users security group on the computer.

See Also

Other Resources

Overview of Installing Team Foundation Server Proxy


Overview of Installing Team Explorer

Overview of Installing Team Explorer
DropDown image

Use the procedures in this section to install and configure Team Explorer. You can install Team Explorer on the same computer as the Team Foundation application tier or on a separate computer.

In This Section

How to: Install Team Explorer Prerequisites

Describes how to install the Team Explorer prerequisites.

How to: Install Team Explorer

Describes how to install Team Explorer.

How to: Connect Team Explorer to Team Foundation Server

Describes how to connect to Team Foundation Server from Team Explorer.

Related Sections

Team Foundation System Requirements

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Overview of Team Foundation Server Security for Setup

Provides security-related information for installing Team Foundation Server.

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

See Also

Concepts

Team Foundation Installation


How to: Install Team Explorer Prerequisites

How to: Install Team Explorer Prerequisites

Use this procedure to install the Team Explorer prerequisites.

To install the prerequisites for the client tier

  1. Install an operating system that meets the system requirements for Visual Studio 2005 as specified in the Visual Studio 2005 Readme.

    Note Note

    If installing the Team Foundation client tier on the same computer as the Team Foundation application tier, complete the installation of the application tier prior to installing client tier components.

  2. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  3. Install Microsoft Office Excel 2003. On the Type of Installation page of the installation wizard, select Complete Install.

    Note Note

    If you chose to customize install features, you must install .NET Programmability Support to utilize Team System integration features.

  4. Install Microsoft Office Project Professional 2003. On the Type of Installation page of the installation wizard, select Complete Install.

    Note Note

    If you chose to customize install features, you must install .NET Programmability Support to utilize Team System integration features.

  5. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  6. Visit Office Update (http://office.microsoft.com/officeupdate) and install any available updates.

Internet Explorer Enhanced Security Configuration

If you are installing Team Explorer on Windows Server 2003, you need to apply Windows 2000 default Internet Explorer security settings to enable Team Foundation functionality for the client. To apply Windows 2000 default Internet Explorer security settings on Windows Server 2003, you must disable Internet Explorer Enhanced Security Configuration.

Note Important

Applying the Windows 2000 default Internet Explorer security settings increases your server's exposure to potential attacks from malicious Web-based content.

To apply Windows 2000 default Internet Explorer security settings

  1. Open Control Panel, click Add or Remove Programs, and then click Add/Remove Windows Components.

  2. Clear the Internet Explorer Enhanced Security Configuration check box, and then click Next.

  3. Click Finish.

  4. Restart Internet Explorer to apply the changes.

Security

To perform these procedures, you must be a member of the Administrators security group on the computer.

See Also

Other Resources

Overview of Installing Team Explorer


How to: Install Team Explorer

How to: Install Team Explorer

Use this procedure to install Team Explorer.

To install Team Explorer

  1. Complete the prerequisites for installing Team Explorer. For more information, see How to: Install Team Explorer Prerequisites.

  2. On the autorun page of the Team Foundation Server setup wizard, click Install Team Explorer.

    If the autorun page does not appear, locate and run the autorun file (autorun.exe) in the \vs folder on the installation media.

    The Visual Studio 2005 Team Explorer Setup wizard starts.

  3. On the Welcome to Setup page, click Next.

  4. On the License Agreement and Product Key page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  5. On the Destination Folder page, click Next.

  6. On the Ready to Install page, click Install.

  7. On the Setup Completed Successfully page, click Finish.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer.

See Also

Other Resources

Overview of Installing Team Explorer


How to: Connect Team Explorer to Team Foundation Server

How to: Connect Team Explorer to Team Foundation Server

Use this procedure to add and connect to a Team Foundation Server from Team Explorer, or to remove a Team Foundation Server from Team Explorer.

To add a Team Foundation Server

  1. Start Microsoft Visual Studio 2005.

  2. On the Tools menu, click Connect to Team Foundation Server.

    The Connect to Team Foundation Server dialog box appears.

  3. Click Servers.

    The Add/Remove Team Foundation Server dialog box appears.

  4. Click Add.

    The Add Team Foundation Server dialog box appears.

  5. In the Team Foundation Server Name box, type the name of the computer hosting the Team Foundation Server application tier.

  6. In the Port Number box, specify the port to use for this connection (the default port is 8080 for HTTP) and select the corresponding protocol.

  7. Click OK to return to the Add/Remove Team Foundation Server dialog box.

  8. Click Close to return to the Connect to Team Foundation Server dialog box.

  9. If any team projects exist on this Team Foundation Server, select the ones you want to use.

  10. Click OK.

To connect to a Team Foundation Server

  1. Start Microsoft Visual Studio 2005.

  2. On the Tools menu, click Connect to Team Foundation Server.

    The Connect to Team Foundation Server dialog box appears.

  3. In the Connect to a Team Foundation Server list, select the Team Foundation Server you want to use.

  4. If any team projects exist on this Team Foundation Server, select the ones you want to use.

  5. Click OK.

To remove a Team Foundation Server

  1. Start Microsoft Visual Studio 2005.

  2. On the Tools menu, click Connect to Team Foundation Server.

    The Connect to Team Foundation Server dialog box appears.

  3. Click Servers.

    The Add/Remove Team Foundation Server dialog box appears.

  4. In the Team Foundation Server List, select the Team Foundation Server to remove, and then click Remove.

  5. Click Close to return to the Team Foundation Server dialog box, and then click OK.

Security

To perform these procedures, you must be a member of the Readers group or have at least one permission in a team project set to Allow. For more information, see Team Foundation Server Permissions.

See Also

Other Resources

Overview of Installing Team Explorer


Team Foundation Installation Guide Legal Notices

Team Foundation Installation Guide Legal Notices
CollapseAll image DropDown image

This section provides legal notices pertaining to the Team Foundation Installation Guide.

Expand image Legal Notices

This document supports a preliminary release of a software product that may be changed substantially prior to final commercial release. This document is provided for informational purposes only and Microsoft makes no warranties, either express or implied, in this document. Information in this document, including URL and other Internet Web site references, is subject to change without notice. The entire risk of the use or the results from the use of this document remains with the user. Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, logos, people, places, and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, place, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2005 Microsoft Corporation. All rights reserved.

Microsoft, Visual Studio, Windows, SharePoint, and Windows Server are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

All other trademarks are property of their respective owners.